<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK SETTINGS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$settings           = array(
  'menu_title'      => constant('SOULMEDIC_THEME_NAME').' '.esc_html__('Options', 'soulmedic'),
  'menu_type'       => 'theme', // menu, submenu, options, theme, etc.
  'menu_slug'       => 'cs-framework',
  'ajax_save'       => true,
  'show_reset_all'  => false,
	'framework_title' => sprintf(esc_html__('Designthemes Framework %1$s', 'soulmedic'), '<small>'.esc_html__('by Designthemes', 'soulmedic').'</small>'),
);

// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options        = array();

$options[]      = array(
  'name'        => 'general',
  'title'       => esc_html__('General', 'soulmedic'),
  'icon'        => 'fa fa-gears',

  'fields'      => array(

	array(
	  'type'    => 'subheading',
	  'content' => esc_html__( 'General Options', 'soulmedic' ),
	),
	
	array(
		'id'	=> 'header',
		'type'	=> 'select',
		'title'	=> esc_html__('Site Header', 'soulmedic'),
		'class'	=> 'chosen',
		'options'	=> 'posts',
		'query_args'	=> array(
			'post_type'	=> 'dt_headers',
			'orderby'	=> 'title',
			'order'	=> 'ASC',
			'posts_per_page' => -1
		),
		'default_option'	=> esc_attr__('Select Header', 'soulmedic'),
		'attributes'	=> array ( 'style'	=> 'width:50%'),
		'info'	=> esc_html__('Select default header.','soulmedic'),
	),
	
	array(
		'id'	=> 'footer',
		'type'	=> 'select',
		'title'	=> esc_html__('Site Footer', 'soulmedic'),
		'class'	=> 'chosen',
		'options'	=> 'posts',
		'query_args'	=> array(
			'post_type'	=> 'dt_footers',
			'orderby'	=> 'title',
			'order'	=> 'ASC',
			'posts_per_page' => -1
		),
		'default_option'	=> esc_attr__('Select Footer', 'soulmedic'),
		'attributes'	=> array ( 'style'	=> 'width:50%'),
		'info'	=> esc_html__('Select defaultfooter.','soulmedic'),
	),

	array(
	  'id'  	 => 'use-site-loader',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Site Loader', 'soulmedic'),
	  'info'	 => esc_html__('YES! to use site loader.', 'soulmedic')
	),	

/* 	array(
	  'id'  	 => 'enable-stylepicker',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Style Picker', 'soulmedic'),
	  'info'	 => esc_html__('YES! to show the style picker.', 'soulmedic')
	), */		

	array(
	  'id'  	 => 'show-pagecomments',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Globally Show Page Comments', 'soulmedic'),
	  'info'	 => esc_html__('YES! to show comments on all the pages. This will globally override your "Allow comments" option under your page "Discussion" settings.', 'soulmedic'),
	  'default'  => true,
	),

	array(
	  'id'  	 => 'disable-custom-scroll',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Disable browser custom scroll', 'soulmedic'),
	  'info'	 => esc_html__('YES! to disable browser custom scroll', 'soulmedic'),
	  'default'  => false,
	),

	array(
	  'id'  	 => 'showall-pagination',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Show all pages in Pagination', 'soulmedic'),
	  'info'	 => esc_html__('YES! to show all the pages instead of dots near the current page.', 'soulmedic')
	),

	array(
		'id'  	 => 'enable-stylepicker',
		'type'  	 => 'switcher',
		'title' 	 => esc_html__('Style Picker', 'soulmedic'),
		'info'	 => esc_html__('YES! to show the style picker.', 'soulmedic')
	),

	array(
	  'id'      => 'google-map-key',
	  'type'    => 'text',
	  'title'   => esc_html__('Google Map API Key', 'soulmedic'),
	  'after' 	=> '<p class="cs-text-info">'.esc_html__('Put a valid google account api key here', 'soulmedic').'</p>',
	),

	array(
	  'id'      => 'mailchimp-key',
	  'type'    => 'text',
	  'title'   => esc_html__('Mailchimp API Key', 'soulmedic'),
	  'after' 	=> '<p class="cs-text-info">'.esc_html__('Put a valid mailchimp account api key here', 'soulmedic').'</p>',
	),

	array(
	  'id'  	 => 'enable-totop',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Enable To Top', 'soulmedic'),
	  'info'	 => esc_html__('YES! to enable to top for your site.', 'soulmedic'),
	  'default'  => true,
	),


  ),
);

$options[]      = array(
  'name'        => 'layout_options',
  'title'       => esc_html__('Layout Options', 'soulmedic'),
  'icon'        => 'dashicons dashicons-exerpt-view',
  'sections' => array(

	// -----------------------------------------
	// Header Options
	// -----------------------------------------
	array(
	  'name'      => 'breadcrumb_options',
	  'title'     => esc_html__('Breadcrumb Options', 'soulmedic'),
	  'icon'      => 'fa fa-sitemap',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Breadcrumb Options", 'soulmedic' ),
		  ),

		  array(
			'id'  		 => 'show-breadcrumb',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Breadcrumb', 'soulmedic'),
			'info'		 => esc_html__('YES! to display breadcrumb for all pages.', 'soulmedic'),
			'default' 	 => true,
		  ),

		  array(
			'id'           => 'breadcrumb-delimiter',
			'type'         => 'icon',
			'title'        => esc_html__('Breadcrumb Delimiter', 'soulmedic'),
			'info'         => esc_html__('Choose delimiter style to display on breadcrumb section.', 'soulmedic'),
		  ),

		  array(
			'id'           => 'breadcrumb-style',
			'type'         => 'select',
			'title'        => esc_html__('Breadcrumb Style', 'soulmedic'),
			'options'      => array(
			  'default' 							=> esc_html__('Default', 'soulmedic'),
			  'aligncenter'    						=> esc_html__('Align Center', 'soulmedic'),
			  'alignright'  						=> esc_html__('Align Right', 'soulmedic'),
			  'breadcrumb-left'    					=> esc_html__('Left Side Breadcrumb', 'soulmedic'),
			  'breadcrumb-right'     				=> esc_html__('Right Side Breadcrumb', 'soulmedic'),
			  'breadcrumb-top-right-title-center'  	=> esc_html__('Top Right Title Center', 'soulmedic'),
			  'breadcrumb-top-left-title-center'  	=> esc_html__('Top Left Title Center', 'soulmedic'),
			),
			'class'        => 'chosen',
			'default'      => 'default',
			'info'         => esc_html__('Choose alignment style to display on breadcrumb section.', 'soulmedic'),
		  ),

		  array(
			  'id'                 => 'breadcrumb-position',
			  'type'               => 'select',
			  'title'              => esc_html__('Position', 'soulmedic' ),
			  'options'            => array(
				  'header-top-absolute'    => esc_html__('Behind the Header','soulmedic'),
				  'header-top-relative'    => esc_html__('Default','soulmedic'),
			  ),
			  'class'        => 'chosen',
			  'default'      => 'header-top-relative',
			  'info'         => esc_html__('Choose position of breadcrumb section.', 'soulmedic'),
		  ),

		  array(
			'id'    => 'breadcrumb_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'soulmedic'),
			'desc'  => esc_html__('Choose background options for breadcrumb title section.', 'soulmedic')
		  ),

		),
	),

  ),
);

$options[]      = array(
  'name'        => 'allpage_options',
  'title'       => esc_html__('All Page Options', 'soulmedic'),
  'icon'        => 'fa fa-files-o',
  'sections' => array(

	// -----------------------------------------
	// Blog Archive Options
	// -----------------------------------------
	array(
	  'name'      => 'blog_archive_options',
	  'title'     => esc_html__('Blog Archive Options', 'soulmedic'),
	  'icon'      => 'fa fa-file-archive-o',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Blog Archives Page Layout", 'soulmedic' ),
		  ),

		  array(
			'id'      	 => 'blog-archives-page-layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Page Layout', 'soulmedic'),
			'options'    => array(
			  'content-full-width'   => SOULMEDIC_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => SOULMEDIC_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => SOULMEDIC_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => SOULMEDIC_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'blog-archives-page-layout',
			),
		  ),

		  array(
			'id'  		 => 'show-standard-left-sidebar-for-post-archives',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Standard Left Sidebar', 'soulmedic'),
			'dependency' => array( 'blog-archives-page-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  		 => 'show-standard-right-sidebar-for-post-archives',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Standard Right Sidebar', 'soulmedic'),
			'dependency' => array( 'blog-archives-page-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'      	   => 'blog-post-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Post Layout', 'soulmedic'),
			'options'      => array(
			  'entry-grid'  => SOULMEDIC_THEME_URI . '/cs-framework-override/images/entry-grid.png',
			  'entry-list'  => SOULMEDIC_THEME_URI . '/cs-framework-override/images/entry-list.png',			  
			  'entry-cover' => SOULMEDIC_THEME_URI . '/cs-framework-override/images/entry-cover.png',
			),
			'default'      => 'entry-grid',
			'attributes'   => array(
			  'data-depend-id' => 'blog-post-layout',
			),
		  ),

		  array(
			'id'           => 'blog-post-grid-list-style',
			'type'         => 'select',
			'title'        => esc_html__('Post Style', 'soulmedic'),
			'options'      => array(
			  'dt-sc-boxed' 			=> esc_html__('Boxed', 'soulmedic'),
			  'dt-sc-simple'      		=> esc_html__('Simple', 'soulmedic'),
			  'dt-sc-overlap'      		=> esc_html__('Overlap', 'soulmedic'),
			  'dt-sc-content-overlay' 	=> esc_html__('Content Overlay', 'soulmedic'),
			  'dt-sc-simple-withbg'		=> esc_html__('Simple with Background', 'soulmedic'),
			  'dt-sc-overlay'   	    => esc_html__('Overlay', 'soulmedic'),
			  'dt-sc-overlay-ii'      	=> esc_html__('Overlay II', 'soulmedic'),			  
			  'dt-sc-overlay-iii'      	=> esc_html__('Overlay III', 'soulmedic'),			  
			  'dt-sc-alternate'	 		=> esc_html__('Alternate', 'soulmedic'),
			  'dt-sc-minimal'       	=> esc_html__('Minimal', 'soulmedic'),
			  'dt-sc-modern' 	      	=> esc_html__('Modern', 'soulmedic'),
			  'dt-sc-classic'	 		=> esc_html__('Classic', 'soulmedic'),
			  'dt-sc-classic-ii'	 	=> esc_html__('Classic II', 'soulmedic'),
			  'dt-sc-classic-overlay' 	=> esc_html__('Classic Overlay', 'soulmedic'),
			  'dt-sc-grungy-boxed' 		=> esc_html__('Grungy Boxed', 'soulmedic'),
				'dt-sc-title-overlap'	 	=> esc_html__('Title Overlap', 'soulmedic'),
				'dt-sc-soulmedic'	 	=> esc_html__('Soulmedic Type', 'soulmedic'),
			),
			'class'        => 'chosen',
			'default'      => 'dt-sc-soulmedic',
			'info'         => esc_html__('Choose post style to display blog archives pages.', 'soulmedic'),
			'dependency'   => array( 'blog-post-layout', 'any', 'entry-grid,entry-list' ),
		  ),

		  array(
			'id'           => 'blog-post-cover-style',
			'type'         => 'select',
			'title'        => esc_html__('Post Style', 'soulmedic'),
			'options'      => array(
			  'dt-sc-boxed' 			=> esc_html__('Boxed', 'soulmedic'),
			  'dt-sc-canvas'      		=> esc_html__('Canvas', 'soulmedic'),
			  'dt-sc-content-overlay' 	=> esc_html__('Content Overlay', 'soulmedic'),
			  'dt-sc-overlay'   	    => esc_html__('Overlay', 'soulmedic'),
			  'dt-sc-overlay-ii'      	=> esc_html__('Overlay II', 'soulmedic'),
			  'dt-sc-overlay-iii'      	=> esc_html__('Overlay III', 'soulmedic'),
			  'dt-sc-trendy' 			=> esc_html__('Trendy', 'soulmedic'),
			  'dt-sc-mobilephone' 		=> esc_html__('Mobile Phone', 'soulmedic'),
			),
			'class'        => 'chosen',
			'default'      => 'dt-sc-boxed',
			'info'         => esc_html__('Choose post style to display blog archives pages.', 'soulmedic'),
			'dependency'   => array( 'blog-post-layout', '==', 'entry-cover' ),
		  ),

		  array(
			'id'      	   => 'blog-post-columns',
			'type'         => 'image_select',
			'title'        => esc_html__('Columns', 'soulmedic'),
			'options'      => array(
			  'one-column' 		  => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-column.png',
			  'one-half-column'   => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-half-column.png',
			  'one-third-column'  => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-third-column.png',
			  //'one-fourth-column' => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
			),
			'default'      => 'one-column',
			'attributes'   => array(
			  'data-depend-id' => 'blog-post-columns',
			),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-cover' ),
		  ),

		  array(
			'id'      	   => 'blog-list-thumb',
			'type'         => 'image_select',
			'title'        => esc_html__('List Type', 'soulmedic'),
			'options'      => array(
			  'entry-left-thumb'  => SOULMEDIC_THEME_URI . '/cs-framework-override/images/entry-left-thumb.png',
			  'entry-right-thumb' => SOULMEDIC_THEME_URI . '/cs-framework-override/images/entry-right-thumb.png',
			),
			'default'      => 'entry-left-thumb',
			'attributes'   => array(
			  'data-depend-id' => 'blog-list-thumb',
			),
			'dependency' => array( 'blog-post-layout', '==', 'entry-list' ),
		  ),

		  array(
			'id'           => 'blog-alignment',
			'type'         => 'select',
			'title'        => esc_html__('Elements Alignment', 'soulmedic'),
			'options'      => array(
			  'alignnone'	=> esc_html__('None', 'soulmedic'),
			  'alignleft' 	=> esc_html__('Align Left', 'soulmedic'),
			  'aligncenter' => esc_html__('Align Center', 'soulmedic'),
			  'alignright'  => esc_html__('Align Right', 'soulmedic'),
			),
			'class'        => 'chosen',
			'default'      => 'alignnone',
			'info'         => esc_html__('Choose alignment to display archives pages.', 'soulmedic'),
			'dependency'   => array( 'blog-post-layout', 'any', 'entry-grid,entry-cover' ),
		  ),

		  array(
			'id'  		 => 'enable-equal-height',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable Equal Height', 'soulmedic'),
			'info'		 => esc_html__('YES! to items display as equal height', 'soulmedic'),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-cover' ),
		  ),

		  array(
			'id'  		 => 'enable-no-space',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable No Space', 'soulmedic'),
			'info'		 => esc_html__('YES! to items display as no space', 'soulmedic'),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-cover' ),
		  ),

		  array(
			'id'  		 => 'enable-gallery-slider',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Display Gallery Slider', 'soulmedic'),
			'info'		 => esc_html__('YES! to display gallery slider', 'soulmedic'),
			'default'    => true,
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-list' ),
		  ),

		  array(
			'id'             => 'blog-elements-position',
			'type'           => 'sorter',
			'title'          => esc_html__('Elements Positioning', 'soulmedic'),
			'default'        => array(
			  'enabled'      => array(				
				'feature_image'	=> esc_html__('Feature Image', 'soulmedic'),
				'title'      	=> esc_html__('Title', 'soulmedic'),
				'meta_group' 	=> esc_html__('Meta Group', 'soulmedic'),				
				'content'    	=> esc_html__('Content', 'soulmedic'),
				'read_more'  	=> esc_html__('Read More', 'soulmedic'),				
			  ),
			  'disabled'     => array(
				'author'		=> esc_html__('Author', 'soulmedic'),
				'tags'  		=> esc_html__('Tags', 'soulmedic'),
				'categories'    => esc_html__('Categories', 'soulmedic'),	
				'date'     		=> esc_html__('Date', 'soulmedic'),
				'comments' 		=> esc_html__('Comments', 'soulmedic'),		
				'social_share'  => esc_html__('Social Share', 'soulmedic'),
				'likes_views'   => esc_html__('Likes & Views', 'soulmedic'),
				
			  ),
			),
			'enabled_title'  	=> esc_html__('Active Elements', 'soulmedic'),
			'disabled_title' 	=> esc_html__('Deactive Elements', 'soulmedic'),
		  ),

		  array(
			'id'             => 'blog-meta-position',
			'type'           => 'sorter',
			'title'          => esc_html__('Meta Group Positioning', 'soulmedic'),
			'default'        => array(
			  'enabled'      => array(					
					'author'		=> esc_html__('Author', 'soulmedic'),
					'tags'  		=> esc_html__('Tags', 'soulmedic'),					
			  ),
			  'disabled'     => array(										
					'categories'    => esc_html__('Categories', 'soulmedic'),					
					'post_format'   => esc_html__('Post Format', 'soulmedic'),
					'date'     		=> esc_html__('Date', 'soulmedic'),
					'comments' 		=> esc_html__('Comments', 'soulmedic'),
					'social_share'  => esc_html__('Social Share', 'soulmedic'),
					'likes_views'   => esc_html__('Likes & Views', 'soulmedic'),					
			  ),
			),
			'enabled_title'  => esc_html__('Active Items', 'soulmedic'),
			'disabled_title' => esc_html__('Deactive Items', 'soulmedic'),
			'desc'  		 => esc_html__('Note: Use max 3 items for better results.', 'soulmedic')
		  ),

		  array(
			'id'  		 => 'enable-post-format',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable Post Format', 'soulmedic'),
			'info'		 => esc_html__('YES! to display post format icon', 'soulmedic'),
			'default'    => false,
		  ),

		  array(
			'id'  		 => 'enable-excerpt-text',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable Excerpt Text', 'soulmedic'),
			'info'		 => esc_html__('YES! to display excerpt content', 'soulmedic'),
			'default'    => true,
		  ),

		  array(
			'id'  		 => 'blog-excerpt-length',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Excerpt Length', 'soulmedic'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Put Excerpt Length', 'soulmedic').'</span>',
			'default' 	 => 25,
			'dependency' => array( 'enable-excerpt-text', '==', 'true' ),
		  ),

		  array(
			'id'  		 => 'enable-video-audio',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Display Video & Audio for Posts', 'soulmedic'),
			'info'		 => esc_html__('YES! to display video & audio, instead of feature image for posts', 'soulmedic'),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-list' ),
		  ),

		  array(
			'id'  		 => 'blog-readmore-text',
			'type'  	 => 'text',
			'title' 	 => esc_html__('Read More Text', 'soulmedic'),
			'info'		 => esc_html__('Put the read more text here', 'soulmedic'),
			'default'	 => esc_html__('Read More', 'soulmedic')
		  ),

		  array(
			'id'           => 'blog-image-hover-style',
			'type'         => 'select',
			'title'        => esc_html__('Image Hover Style', 'soulmedic'),
			'options'      => array(
			  'dt-sc-default' 			=> esc_html__('Default', 'soulmedic'),
			  'dt-sc-blur'      		=> esc_html__('Blur', 'soulmedic'),
			  'dt-sc-bw'   		   		=> esc_html__('Black and White', 'soulmedic'),
			  'dt-sc-brightness'	 	=> esc_html__('Brightness', 'soulmedic'),
			  'dt-sc-fadeinleft'   	    => esc_html__('Fade InLeft', 'soulmedic'),
			  'dt-sc-fadeinright'  	    => esc_html__('Fade InRight', 'soulmedic'),
			  'dt-sc-hue-rotate'   	    => esc_html__('Hue-Rotate', 'soulmedic'),
			  'dt-sc-invert'	   	    => esc_html__('Invert', 'soulmedic'),
			  'dt-sc-opacity'   	    => esc_html__('Opacity', 'soulmedic'),
			  'dt-sc-rotate'	   	    => esc_html__('Rotate', 'soulmedic'),
			  'dt-sc-rotate-alt'   	    => esc_html__('Rotate Alt', 'soulmedic'),
			  'dt-sc-scalein'   	    => esc_html__('Scale In', 'soulmedic'),
			  'dt-sc-scaleout' 	    	=> esc_html__('Scale Out', 'soulmedic'),
			  'dt-sc-sepia'	   	    	=> esc_html__('Sepia', 'soulmedic'),
			  'dt-sc-tint'		   	    => esc_html__('Tint', 'soulmedic'),
			),
			'class'        => 'chosen',
			'default'      => 'dt-sc-default',
			'info'         => esc_html__('Choose image hover style to display archives pages.', 'soulmedic'),
		  ),

		  array(
			'id'           => 'blog-image-overlay-style',
			'type'         => 'select',
			'title'        => esc_html__('Image Overlay Style', 'soulmedic'),
			'options'      => array(
			  'dt-sc-default' 			=> esc_html__('None', 'soulmedic'),
			  'dt-sc-fixed' 			=> esc_html__('Fixed', 'soulmedic'),
			  'dt-sc-tb' 				=> esc_html__('Top to Bottom', 'soulmedic'),
			  'dt-sc-bt'   				=> esc_html__('Bottom to Top', 'soulmedic'),
			  'dt-sc-rl'   				=> esc_html__('Right to Left', 'soulmedic'),
			  'dt-sc-lr'				=> esc_html__('Left to Right', 'soulmedic'),
			  'dt-sc-middle'			=> esc_html__('Middle', 'soulmedic'),
			  'dt-sc-middle-radial'		=> esc_html__('Middle Radial', 'soulmedic'),
			  'dt-sc-tb-gradient' 		=> esc_html__('Gradient - Top to Bottom', 'soulmedic'),
			  'dt-sc-bt-gradient'   	=> esc_html__('Gradient - Bottom to Top', 'soulmedic'),
			  'dt-sc-rl-gradient'   	=> esc_html__('Gradient - Right to Left', 'soulmedic'),
			  'dt-sc-lr-gradient'		=> esc_html__('Gradient - Left to Right', 'soulmedic'),
			  'dt-sc-radial-gradient'	=> esc_html__('Gradient - Radial', 'soulmedic'),
			  'dt-sc-flash' 			=> esc_html__('Flash', 'soulmedic'),
			  'dt-sc-circle' 			=> esc_html__('Circle', 'soulmedic'),
			  'dt-sc-hm-elastic'		=> esc_html__('Horizontal Elastic', 'soulmedic'),
			  'dt-sc-vm-elastic'		=> esc_html__('Vertical Elastic', 'soulmedic'),
			),
			'class'        => 'chosen',
			'default'      => '',
			'info'         => esc_html__('Choose image overlay style to display archives pages.', 'soulmedic'),
			'dependency' => array( 'blog-post-layout', 'any', 'entry-grid,entry-list' ),
		  ),

		  array(
			'id'           => 'blog-pagination',
			'type'         => 'select',
			'title'        => esc_html__('Pagination Style', 'soulmedic'),
			'options'      => array(
			  'older_newer' 	=> esc_html__('Older & Newer', 'soulmedic'),
			  'numbered'      	=> esc_html__('Numbered', 'soulmedic'),
			  'load_more'      	=> esc_html__('Load More', 'soulmedic'),
			  'infinite_scroll'	=> esc_html__('Infinite Scroll', 'soulmedic'),
			),
			'class'        => 'chosen',
			'default'      => 'numbered',
			'info'         => esc_html__('Choose pagination style to display archives pages.', 'soulmedic'),
		  ),

		),
	),

	// -----------------------------------------
	// Blog Single Options
	// -----------------------------------------
	array(
	  'name'      => 'blog_single_options',
	  'title'     => esc_html__('Blog Single Options', 'soulmedic'),
	  'icon'      => 'fa fa-thumb-tack',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Blog Single Post Options", 'soulmedic' ),
		  ),

		  array(
			'id'             => 'post-elements-position',
			'type'           => 'sorter',
			'title'          => esc_html__('Post Elements Positioning', 'soulmedic'),
			'default'        => array(
			  'enabled'      => array(				
				'feature_image'	=> esc_html__('Feature Image', 'soulmedic'),
				'title'      	=> esc_html__('Title', 'soulmedic'),
				'meta_group' 	=> esc_html__('Meta Group', 'soulmedic'),
				'content'    	=> esc_html__('Content', 'soulmedic'),				
				'comment_box' 	=> esc_html__('Comment Box', 'soulmedic')
				
			  ),
			  'disabled'     => array(
				'post_format'   => esc_html__('Post Format', 'soulmedic'),
				'date'     		=> esc_html__('Date', 'soulmedic'),
				'comments' 		=> esc_html__('Comments', 'soulmedic'),
				'author_bio' 	=> esc_html__('Author Bio', 'soulmedic'),
				'author'		=> esc_html__('Author', 'soulmedic'),				
				'navigation'    => esc_html__('Navigation', 'soulmedic'),
				'categories'    => esc_html__('Categories', 'soulmedic'),
				'tags'  		=> esc_html__('Tags', 'soulmedic'),
				'social_share'  => esc_html__('Social Share', 'soulmedic'),
				'likes_views'   => esc_html__('Likes & Views', 'soulmedic'),
				'related_article' 	=> esc_html__('Related Article( Only Fixed )', 'soulmedic')
			  ),
			),
			'enabled_title'  => esc_html__('Active Elements', 'soulmedic'),
			'disabled_title' => esc_html__('Deactive Elements', 'soulmedic')
		  ),

		  array(
			'id'         => 'post-meta-position',
			'type'       => 'sorter',
			'title'      => esc_html__('Meta Group Positioning', 'soulmedic'),
			'default'    => array(
			'enabled'    => array(
			'author'	 => esc_html__('Author', 'soulmedic'),
			'tags'	 	 => esc_html__('Tags', 'soulmedic'),
			'categories' => esc_html__('Categories', 'soulmedic'),
			  ),
			  'disabled'		=> array(				
				'date'			=> esc_html__('Date', 'soulmedic'),
				'comments'		=> esc_html__('Comments', 'soulmedic'),
				'social_share'	=> esc_html__('Social Share', 'soulmedic'),
				'likes_views'	=> esc_html__('Likes & Views', 'soulmedic'),
			  ),
			),
			'enabled_title'  => esc_html__('Active Items', 'soulmedic'),
			'disabled_title' => esc_html__('Deactive Items', 'soulmedic'),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Related Post Options", 'soulmedic' ),
		  ),

		  array(
			'id'  		 => 'post-related-title',
			'type'  	 => 'text',
			'title' 	 => esc_html__('Related Posts Section Title', 'soulmedic'),
			'info'		 => esc_html__('Put the related posts section title here', 'soulmedic'),
			'default'	 => esc_html__('Related Posts', 'soulmedic')
		  ),

		  array(
			'id'      	   => 'post-related-columns',
			'type'         => 'image_select',
			'title'        => esc_html__('Columns', 'soulmedic'),
			'options'      => array(
			  'one-column' 		  => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-column.png',
			  'one-half-column'   => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-half-column.png',
			  'one-third-column'  => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-third-column.png',
			  //'one-fourth-column' => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
			),
			'default'      => 'one-third-column',
			'attributes'   => array(
			  'data-depend-id' => 'post-related-columns',
			),
		  ),

		  array(
			'id'  		 => 'post-related-count',
			'type'  	 => 'number',
			'title' 	 => esc_html__('No.of Posts to Show', 'soulmedic'),
			'info'		 => esc_html__('Put the no.of related posts to show', 'soulmedic'),
			'default'	 => 3
		  ),

		  array(
			'id'  		 => 'enable-related-excerpt',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable Excerpt Text', 'soulmedic'),
			'info'		 => esc_html__('YES! to display excerpt content', 'soulmedic'),
		  ),

		  array(
			'id'  		 => 'post-related-excerpt',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Excerpt Length', 'soulmedic'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Put Excerpt Length', 'soulmedic').'</span>',
			'default' 	 => 25,
			'dependency' => array( 'enable-related-excerpt', '==', 'true' ),
		  ),

		  array(
			'id'  		 => 'enable-related-carousel',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Enable Carousel', 'soulmedic'),
			'info'		 => esc_html__('YES! to enable carousel related posts', 'soulmedic'),
		  ),

		  array(
			'id'           => 'related-carousel-nav',
			'type'         => 'select',
			'title'        => esc_html__('Navigation Style', 'soulmedic'),
			'options'      => array(
			  '' 			=> esc_html__('None', 'soulmedic'),
			  'navigation'  => esc_html__('Navigations', 'soulmedic'),
			  'pager'   	=> esc_html__('Pager', 'soulmedic'),
			),
			'class'        => 'chosen',
			'default'      => 'text',
			'info'         => esc_html__('Choose navigation style to display related post carousel.', 'soulmedic'),
			'dependency' => array( 'enable-related-carousel', '==', 'true' ),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Miscellaneous Post Options", 'soulmedic' ),
		  ),

		  array(
			'id'  		 => 'enable-image-lightbox',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Feature Image Lightbox', 'soulmedic'),
			'info'		 => esc_html__('YES! to enable lightbox for feature image.', 'soulmedic'),
		  ),

		  array(
			'id'           => 'post-comments-list-style',
			'type'         => 'select',
			'title'        => esc_html__('Comments List Style', 'soulmedic'),
			'options'      => array(
			  'rounded' 	=> esc_html__('Rounded', 'soulmedic'),
			  'square'   	=> esc_html__('Square', 'soulmedic'),
			),
			'class'        => 'chosen',
			'default'      => 'rounded',
			'info'         => esc_html__('Choose comments list style to display single post.', 'soulmedic'),
		  ),
		),
	),

	// -----------------------------------------
	// 404 Options
	// -----------------------------------------
	array(
	  'name'      => '404_options',
	  'title'     => esc_html__('404 Options', 'soulmedic'),
	  'icon'      => 'fa fa-warning',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "404 Message", 'soulmedic' ),
		  ),
		  
		  array(
			'id'      => 'enable-404message',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Message', 'soulmedic' ),
			'info'	  => esc_html__('YES! to enable not-found page message.', 'soulmedic'),
			'default' => true
		  ),

		  array(
			'id'           => 'notfound-style',
			'type'         => 'select',
			'title'        => esc_html__('Template Style', 'soulmedic'),
			'options'      => array(
			  'type1' 	   => esc_html__('Modern', 'soulmedic'),
			  'type2'      => esc_html__('Classic', 'soulmedic'),
			  'type4'  	   => esc_html__('Diamond', 'soulmedic'),
			  'type5'      => esc_html__('Shadow', 'soulmedic'),
			  'type6'      => esc_html__('Diamond Alt', 'soulmedic'),
			  'type7'  	   => esc_html__('Stack', 'soulmedic'),
			  'type8'  	   => esc_html__('Minimal', 'soulmedic'),
			),
			'class'        => 'chosen',
			'default'      => 'type1',
			'info'         => esc_html__('Choose the style of not-found template page.', 'soulmedic')
		  ),

		  array(
			'id'      => 'notfound-darkbg',
			'type'    => 'switcher',
			'title'   => esc_html__('404 Dark BG', 'soulmedic' ),
			'info'	  => esc_html__('YES! to use dark bg notfound page for this site.', 'soulmedic')
		  ),

		  array(
			'id'           => 'notfound-pageid',
			'type'         => 'select',
			'title'        => esc_html__('Custom Page', 'soulmedic'),
			'options'      => 'pages',
			'class'        => 'chosen',
			'default_option' => esc_html__('Choose the page', 'soulmedic'),
			'info'       	 => esc_html__('Choose the page for not-found content.', 'soulmedic')
		  ),
		  
		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Background Options", 'soulmedic' ),
		  ),

		  array(
			'id'    => 'notfound_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'soulmedic')
		  ),

		  array(
			'id'  		 => 'notfound-bg-style',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Custom Styles', 'soulmedic'),
			'info'		 => esc_html__('Paste custom CSS styles for not found page.', 'soulmedic')
		  ),

		),
	),

	// -----------------------------------------
	// Underconstruction Options
	// -----------------------------------------
	array(
	  'name'      => 'comingsoon_options',
	  'title'     => esc_html__('Under Construction Options', 'soulmedic'),
	  'icon'      => 'fa fa-thumbs-down',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Under Construction", 'soulmedic' ),
		  ),
	
		  array(
			'id'      => 'enable-comingsoon',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Coming Soon', 'soulmedic' ),
			'info'	  => esc_html__('YES! to check under construction page of your website.', 'soulmedic')
		  ),
	
		  array(
			'id'           => 'comingsoon-style',
			'type'         => 'select',
			'title'        => esc_html__('Template Style', 'soulmedic'),
			'options'      => array(
			  'type1' 	   => esc_html__('Diamond', 'soulmedic'),
			  'type2'      => esc_html__('Teaser', 'soulmedic'),
			  'type3'  	   => esc_html__('Minimal', 'soulmedic'),
			  'type4'      => esc_html__('Counter Only', 'soulmedic'),
			  'type5'      => esc_html__('Belt', 'soulmedic'),
			  'type6'  	   => esc_html__('Classic', 'soulmedic'),
			  'type7'  	   => esc_html__('Boxed', 'soulmedic')
			),
			'class'        => 'chosen',
			'default'      => 'type1',
			'info'         => esc_html__('Choose the style of coming soon template.', 'soulmedic'),
		  ),

		  array(
			'id'      => 'uc-darkbg',
			'type'    => 'switcher',
			'title'   => esc_html__('Coming Soon Dark BG', 'soulmedic' ),
			'info'	  => esc_html__('YES! to use dark bg coming soon page for this site.', 'soulmedic')
		  ),

		  array(
			'id'           => 'comingsoon-pageid',
			'type'         => 'select',
			'title'        => esc_html__('Custom Page', 'soulmedic'),
			'options'      => 'pages',
			'class'        => 'chosen',
			'default_option' => esc_html__('Choose the page', 'soulmedic'),
			'info'       	 => esc_html__('Choose the page for comingsoon content.', 'soulmedic')
		  ),

		  array(
			'id'      => 'show-launchdate',
			'type'    => 'switcher',
			'title'   => esc_html__('Show Launch Date', 'soulmedic' ),
			'info'	  => esc_html__('YES! to show launch date text.', 'soulmedic'),
		  ),

		  array(
			'id'      => 'comingsoon-launchdate',
			'type'    => 'text',
			'title'   => esc_html__('Launch Date', 'soulmedic'),
			'attributes' => array( 
			  'placeholder' => '10/30/2016 12:00:00'
			),
			'after' 	=> '<p class="cs-text-info">'.esc_html__('Put Format: 12/30/2016 12:00:00 month/day/year hour:minute:second', 'soulmedic').'</p>',
		  ),

		  array(
			'id'           => 'comingsoon-timezone',
			'type'         => 'select',
			'title'        => esc_html__('UTC Timezone', 'soulmedic'),
			'options'      => array(
			  '-12' => '-12', '-11' => '-11', '-10' => '-10', '-9' => '-9', '-8' => '-8', '-7' => '-7', '-6' => '-6', '-5' => '-5', 
			  '-4' => '-4', '-3' => '-3', '-2' => '-2', '-1' => '-1', '0' => '0', '+1' => '+1', '+2' => '+2', '+3' => '+3', '+4' => '+4',
			  '+5' => '+5', '+6' => '+6', '+7' => '+7', '+8' => '+8', '+9' => '+9', '+10' => '+10', '+11' => '+11', '+12' => '+12'
			),
			'class'        => 'chosen',
			'default'      => '0',
			'info'         => esc_html__('Choose utc timezone, by default UTC:00:00', 'soulmedic'),
		  ),

		  array(
			'id'    => 'comingsoon_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'soulmedic')
		  ),

		  array(
			'id'  		 => 'comingsoon-bg-style',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Custom Styles', 'soulmedic'),
			'info'		 => esc_html__('Paste custom CSS styles for under construction page.', 'soulmedic'),
		  ),

		),
	),

  ),
);

// -----------------------------------------
// Widget area Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'widgetarea_options',
  'title'       => esc_html__('Widget Area', 'soulmedic'),
  'icon'        => 'fa fa-trello',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Custom Widget Area for Sidebar", 'soulmedic' ),
	  ),

	  array(
		'id'           => 'wtitle-style',
		'type'         => 'select',
		'title'        => esc_html__('Sidebar widget Title Style', 'soulmedic'),
		'options'      => array(
		  'default'    => esc_html__('Choose any type', 'soulmedic'),
		  'type1' 	   => esc_html__('Double Border', 'soulmedic'),
		  'type2'      => esc_html__('Tooltip', 'soulmedic'),
		  'type3'  	   => esc_html__('Title Top Border', 'soulmedic'),
		  'type4'      => esc_html__('Left Border & Pattren', 'soulmedic'),
		  'type5'      => esc_html__('Bottom Border', 'soulmedic'),
		  'type6'  	   => esc_html__('Tooltip Border', 'soulmedic'),
		  'type7'  	   => esc_html__('Boxed Modern', 'soulmedic'),
		  'type8'  	   => esc_html__('Elegant Border', 'soulmedic'),
		  'type9' 	   => esc_html__('Needle', 'soulmedic'),
		  'type10' 	   => esc_html__('Ribbon', 'soulmedic'),
		  'type11' 	   => esc_html__('Content Background', 'soulmedic'),
		  'type12' 	   => esc_html__('Classic BG', 'soulmedic'),
		  'type13' 	   => esc_html__('Tiny Boders', 'soulmedic'),
		  'type14' 	   => esc_html__('BG & Border', 'soulmedic'),
		  'type15' 	   => esc_html__('Classic BG Alt', 'soulmedic'),
		  'type16' 	   => esc_html__('Left Border & BG', 'soulmedic'),
		  'type17' 	   => esc_html__('Basic', 'soulmedic'),
		  'type18' 	   => esc_html__('BG & Pattern', 'soulmedic'),
		),
		'class'          => 'chosen',
		'default' 		 =>  'type5',
		'info'           => esc_html__('Choose the style of sidebar widget title.', 'soulmedic')
	  ),

	  array(
		'id'              => 'widgetarea-custom',
		'type'            => 'group',
		'title'           => esc_html__('Custom Widget Area', 'soulmedic'),
		'button_title'    => esc_html__('Add New', 'soulmedic'),
		'accordion_title' => esc_html__('Add New Widget Area', 'soulmedic'),
		'fields'          => array(

		  array(
			'id'          => 'widgetarea-custom-name',
			'type'        => 'text',
			'title'       => esc_html__('Name', 'soulmedic'),
		  ),

		)
	  ),

	),
);

// -----------------------------------------
// Sociable Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'sociable_options',
  'title'       => esc_html__('Sociable', 'soulmedic'),
  'icon'        => 'fa fa-share-square',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Sociable", 'soulmedic' ),
	  ),

	  array(
		'id'              => 'sociable_fields',
		'type'            => 'group',
		'title'           => esc_html__('Sociable', 'soulmedic'),
		'info'            => esc_html__('Click button to add type of social & url.', 'soulmedic'),
		'button_title'    => esc_html__('Add New Social', 'soulmedic'),
		'accordion_title' => esc_html__('Adding New Social Field', 'soulmedic'),
		'fields'          => array(
		  array(
			'id'          => 'sociable_fields_type',
			'type'        => 'select',
			'title'       => esc_html__('Select Social', 'soulmedic'),
			'options'      => array(
			  'delicious' 	 => esc_html__('Delicious', 'soulmedic'),
			  'deviantart' 	 => esc_html__('Deviantart', 'soulmedic'),
			  'digg' 	  	 => esc_html__('Digg', 'soulmedic'),
			  'dribbble' 	 => esc_html__('Dribbble', 'soulmedic'),
			  'envelope' 	 => esc_html__('Envelope', 'soulmedic'),
			  'facebook' 	 => esc_html__('Facebook', 'soulmedic'),
			  'flickr' 		 => esc_html__('Flickr', 'soulmedic'),
			  'google-plus'  => esc_html__('Google Plus', 'soulmedic'),
			  'gtalk'  		 => esc_html__('GTalk', 'soulmedic'),
			  'instagram'	 => esc_html__('Instagram', 'soulmedic'),
			  'lastfm'	 	 => esc_html__('Lastfm', 'soulmedic'),
			  'linkedin'	 => esc_html__('Linkedin', 'soulmedic'),
			  'pinterest'	 => esc_html__('Pinterest', 'soulmedic'),
			  'reddit'		 => esc_html__('Reddit', 'soulmedic'),
			  'rss'		 	 => esc_html__('RSS', 'soulmedic'),
			  'skype'		 => esc_html__('Skype', 'soulmedic'),
			  'stumbleupon'	 => esc_html__('Stumbleupon', 'soulmedic'),
			  'tumblr'		 => esc_html__('Tumblr', 'soulmedic'),
			  'twitter'		 => esc_html__('Twitter', 'soulmedic'),
			  'viadeo'		 => esc_html__('Viadeo', 'soulmedic'),
			  'vimeo'		 => esc_html__('Vimeo', 'soulmedic'),
			  'yahoo'		 => esc_html__('Yahoo', 'soulmedic'),
			  'youtube'		 => esc_html__('Youtube', 'soulmedic'),
			),
			'class'        => 'chosen',
			'default'      => 'delicious',
		  ),

		  array(
			'id'          => 'sociable_fields_url',
			'type'        => 'text',
			'title'       => esc_html__('Enter URL', 'soulmedic')
		  ),
		)
	  ),

   ),
);

// -----------------------------------------
// Hook Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'hook_options',
  'title'       => esc_html__('Hooks', 'soulmedic'),
  'icon'        => 'fa fa-paperclip',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Top Hook", 'soulmedic' ),
	  ),

	  array(
		'id'  	=> 'enable-top-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Top Hook', 'soulmedic'),
		'info'	=> esc_html__("YES! to enable top hook.", 'soulmedic')
	  ),

	  array(
		'id'  		 => 'top-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Top Hook', 'soulmedic'),
		'info'		 => esc_html__('Paste your top hook, Executes after the opening &lt;body&gt; tag.', 'soulmedic')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Content Before Hook", 'soulmedic' ),
	  ),

	  array(
		'id'  	=> 'enable-content-before-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Content Before Hook', 'soulmedic'),
		'info'	=> esc_html__("YES! to enable content before hook.", 'soulmedic')
	  ),

	  array(
		'id'  		 => 'content-before-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Content Before Hook', 'soulmedic'),
		'info'		 => esc_html__('Paste your content before hook, Executes before the opening &lt;#primary&gt; tag.', 'soulmedic')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Content After Hook", 'soulmedic' ),
	  ),

	  array(
		'id'  	=> 'enable-content-after-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Content After Hook', 'soulmedic'),
		'info'	=> esc_html__("YES! to enable content after hook.", 'soulmedic')
	  ),

	  array(
		'id'  		 => 'content-after-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Content After Hook', 'soulmedic'),
		'info'		 => esc_html__('Paste your content after hook, Executes after the closing &lt;/#main&gt; tag.', 'soulmedic')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Bottom Hook", 'soulmedic' ),
	  ),

	  array(
		'id'  	=> 'enable-bottom-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Bottom Hook', 'soulmedic'),
		'info'	=> esc_html__("YES! to enable bottom hook.", 'soulmedic')
	  ),

	  array(
		'id'  		 => 'bottom-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Bottom Hook', 'soulmedic'),
		'info'		 => esc_html__('Paste your bottom hook, Executes after the closing &lt;/body&gt; tag.', 'soulmedic')
	  ),

  array(
		'id'  	=> 'enable-analytics-code',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Tracking Code', 'soulmedic'),
		'info'	=> esc_html__("YES! to enable site tracking code.", 'soulmedic')
	  ),

	  array(
		'id'  		 => 'analytics-code',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Google Analytics Tracking Code', 'soulmedic'),
		'info'		 => esc_html__('Either enter your Google tracking id (UA-XXXXX-X). If you want to offer your visitors the option to stop being tracked you can place the shortcode [dt_sc_privacy_google_tracking] somewhere on your site', 'soulmedic')
	  ),

   ),
);

// -----------------------------------------
// Custom Font Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'font_options',
  'title'       => esc_html__('Custom Fonts', 'soulmedic'),
  'icon'        => 'fa fa-font',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Custom Fonts", 'soulmedic' ),
	  ),

	  array(
		'id'              => 'custom_font_fields',
		'type'            => 'group',
		'title'           => esc_html__('Custom Font', 'soulmedic'),
		'info'            => esc_html__('Click button to add font name & urls.', 'soulmedic'),
		'button_title'    => esc_html__('Add New Font', 'soulmedic'),
		'accordion_title' => esc_html__('Adding New Font Field', 'soulmedic'),
		'fields'          => array(
		  array(
			'id'          => 'custom_font_name',
			'type'        => 'text',
			'title'       => esc_html__('Font Name', 'soulmedic')
		  ),

		  array(
			'id'      => 'custom_font_woof',
			'type'    => 'upload',
			'title'   => esc_html__('Upload File (*.woff)', 'soulmedic'),
			'after'   => '<p class="cs-text-muted">'.esc_html__('You can upload custom font family (*.woff) file here.', 'soulmedic').'</p>',
		  ),

		  array(
			'id'      => 'custom_font_woof2',
			'type'    => 'upload',
			'title'   => esc_html__('Upload File (*.woff2)', 'soulmedic'),
			'after'   => '<p class="cs-text-muted">'.esc_html__('You can upload custom font family (*.woff2) file here.', 'soulmedic').'</p>',
		  )
		)
	  ),

   ),
);

// ------------------------------
// backup                       
// ------------------------------
$options[]   = array(
  'name'     => 'backup_section',
  'title'    => esc_html__('Backup', 'soulmedic'),
  'icon'     => 'fa fa-shield',
  'fields'   => array(

    array(
      'type'    => 'notice',
      'class'   => 'warning',
      'content' => esc_html__('You can save your current options. Download a Backup and Import.', 'soulmedic')
    ),

    array(
      'type'    => 'backup',
    ),

  )
);

// ------------------------------
// license
// ------------------------------
$options[]   = array(
  'name'     => 'theme_version',
  'title'    => constant('SOULMEDIC_THEME_NAME').esc_html__(' Log', 'soulmedic'),
  'icon'     => 'fa fa-info-circle',
  'fields'   => array(

    array(
      'type'    => 'heading',
      'content' => constant('SOULMEDIC_THEME_NAME').esc_html__(' Theme Change Log', 'soulmedic')
    ),
    array(
      'type'    => 'content',
	  'content' => '<pre>

	  2023.06.02 - version 4.9

	   * Compatible with WordPress 6.2
	   * Compatible with latest WooCommerce versions
	   * Compatible with PHP 8.2 version
	   * Updated: All premium plugins
	
	  2022.11.12 - version 4.8

		* Compatible with WordPress 6.1
		* Compatible with latest WooCommerce versions
		* Compatible with PHP 8.1 version
		* Updated: All premium plugins

	  2022.03.02 - version 4.7

		* Fixed Kirki Customizer Issue
		
	  2021.08.18 - version 4.6

		* Compatible with wordpress 5.8

	  2021.05.20 - version 4.5

		* Some design issue update

	  2020.12.25 - version 4.4

	    * Compatible with wordpress 5.6
	    * Updated: All premium plugins

	  2020.08.13 - version 4.3

		* Compatible with wordpress 5.5
	  
	  2020.07.28 - version 4.2

		* Updated: Envato Theme check
		* Updated: sanitize_text_field added
		* Updated: All wordpress theme standards
		* Updated: All premium plugins

      2020.02.06 – version 4.1

	  * Compatible with wordpress 5.3.2
	  * Updated: All premium plugins
	  * Updated: All wordpress theme standards
	  * Updated: Privacy and Cookies concept 

	  * Fixed: Privacy Button Issue 

      * Improved: Revisions options added for all custom posts

	  2019.12.05 – version 4.0 (For new users, the newly built visual composer demo contents version soulmedic.zip)

	  * Major update of Soulmedic theme.
	  * All the demo contents updated to Visual Composer modules
	  * Compatible with wordpress 5.3
	  * Clients please do not upload the new version spalab theme or plugin files to your exisiting spalab old version, since the site will crash. If you need to continue with your old version, we have provided the old version spalab-old.zip(3.3) separately please use those files. If you need to go with the new visual composer version, you need to install it in a fresh site.
	  * Please follow this KB steps for installing the new 4.0 version http://support.wedesignthemes.com/knowledge-base/steps-to-install-new-spalab-4-0-version/
	  
	  * Updated: All premium plugins
	  * Updated: Gutenberg editor support for custom post types
	  * Updated: Link for phone number module
	  * Updated: Themes options updated with codestar framework.
	  * Updated: Online documentation link, check readme file
	  * Updated: Customizer options with Kirki plugin.
	  
	  * Fixed: Customizer logo option
	  * Fixed: Google Analytics issue
	  * Fixed: Mailchimp email client issue
	  * Fixed: Gutenberg check for old wordpress version
	  * Fixed: Edit with Visual Composer for portfolio
	  * Fixed: Header & Footer wpml option
	  * Fixed: Smooth scrolling in ie 11
	  * Fixed: Site title color
	  * Fixed: Privacy popup bg color
	  * Fixed: 404 page scrolling issue
	  
	  * Improved: Single product breadcrumb section
	  * Improved: Tags taxonomy added for portfolio
	  * Improved: Woocommerce cart module added with custom class option
	  
	  * New: Whatsapp Shortcode  </pre>',
    ),

  )
);

// ------------------------------
// Seperator
// ------------------------------
$options[] = array(
  'name'   => 'seperator_1',
  'title'  => esc_html__('Plugin Options', 'soulmedic'),
  'icon'   => 'fa fa-plug'
);

// -----------------------------------------
// Woocommerce Options
// -----------------------------------------
if( function_exists( 'is_woocommerce' ) ) {

	$product_style_templates = cs_get_option( 'dt-woo-product-style-templates' );
	$product_style_templates = (is_array($product_style_templates) && !empty($product_style_templates)) ? $product_style_templates : false;

	$product_style_templates_arr = array ();
	if($product_style_templates) {
		foreach($product_style_templates as $product_style_template_key => $product_style_template) {
			$product_style_templates_arr[$product_style_template_key] = $product_style_template['template-title'];
		}
	}

	$woo_page_layouts = array(
		'content-full-width'   => SOULMEDIC_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
		'with-left-sidebar'    => SOULMEDIC_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
		'with-right-sidebar'   => SOULMEDIC_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
	);

	$social_follow = array (
			  'delicious' 	 => esc_html__('Delicious', 'soulmedic'),
			  'deviantart' 	 => esc_html__('Deviantart', 'soulmedic'),
			  'digg' 	  	 => esc_html__('Digg', 'soulmedic'),
			  'dribbble' 	 => esc_html__('Dribbble', 'soulmedic'),
			  'envelope' 	 => esc_html__('Envelope', 'soulmedic'),
			  'facebook' 	 => esc_html__('Facebook', 'soulmedic'),
			  'flickr' 		 => esc_html__('Flickr', 'soulmedic'),
			  'google-plus'  => esc_html__('Google Plus', 'soulmedic'),
			  'gtalk'  		 => esc_html__('GTalk', 'soulmedic'),
			  'instagram'	 => esc_html__('Instagram', 'soulmedic'),
			  'lastfm'	 	 => esc_html__('Lastfm', 'soulmedic'),
			  'linkedin'	 => esc_html__('Linkedin', 'soulmedic'),
			  'pinterest'	 => esc_html__('Pinterest', 'soulmedic'),
			  'reddit'		 => esc_html__('Reddit', 'soulmedic'),
			  'rss'		 	 => esc_html__('RSS', 'soulmedic'),
			  'skype'		 => esc_html__('Skype', 'soulmedic'),
			  'stumbleupon'	 => esc_html__('Stumbleupon', 'soulmedic'),
			  'tumblr'		 => esc_html__('Tumblr', 'soulmedic'),
			  'twitter'		 => esc_html__('Twitter', 'soulmedic'),
			  'viadeo'		 => esc_html__('Viadeo', 'soulmedic'),
			  'vimeo'		 => esc_html__('Vimeo', 'soulmedic'),
			  'yahoo'		 => esc_html__('Yahoo', 'soulmedic'),
			  'youtube'		 => esc_html__('Youtube', 'soulmedic')
			);

	$social_follow_options = array ();
	foreach($social_follow as $socialfollow_key => $socialfollow) {

		$social_follow_option = array(
							'id'    => 'dt-single-product-show-follow-'.$socialfollow_key,
							'type'  => 'switcher',
							'title' => sprintf(esc_html__('Show %1$s Follow', 'soulmedic'), $socialfollow),
						);
		array_push($social_follow_options, $social_follow_option);

	}

	array_push($social_follow_options, array(
						  'type'    => 'notice',
						  'class'   => 'info',
						  'content' => esc_html__('For Sociables Follow - links must be defined under "Sociables" tab. Sociables Share & Sociables Follow option is used for "Custom Template" single product settings.', 'soulmedic' )
						));


	$options[] = array(
		'name'     => 'dtwoo',
		'title'    => esc_html__( 'WooCommerce', 'soulmedic' ),
		'icon'     => 'fa fa-shopping-cart',
		'sections' => array(

			// Shop
				array(
					'name'	=> 'dt-woo-shop',
					'title'	=> esc_html__('Shop', 'soulmedic'),
					'icon'  => 'fa fa-angle-double-right',
					'fields'=> array(
						array(	
							'type'    => 'subheading',
							'content' => esc_html__( 'Shop Page Settings', 'soulmedic' ),
						),

						array(
							'id'         => 'shop-page-layout',
							'type'       => 'image_select',
							'title'      => esc_html__('Page Layout', 'soulmedic'),
							'options'    => $woo_page_layouts,
							'default'    => 'with-right-sidebar',
							'attributes' => array( 'data-depend-id' => 'dt-woo-shop-page-layout' )
						),

						array(
							'id'         => 'shop-page-show-standard-sidebar',
							'type'       => 'switcher',
							'title'      => esc_html__('Show Standard Sidebar', 'soulmedic'),
							'dependency' => array( 'dt-woo-shop-page-layout', 'any', 'with-left-sidebar,with-right-sidebar' ),
							'default'    => true
						),

						array(
							'id'         => 'shop-page-widgetareas',
							'type'       => 'select',
							'title'      => esc_html__('Choose Custom Widget Area', 'soulmedic'),
							'class'      => 'chosen',
							'options'    => soulmedic_custom_widgets(),
							'dependency' => array( 'dt-woo-shop-page-layout', 'any', 'with-left-sidebar,with-right-sidebar' ),
							'attributes' => array(
								'multiple'         => 'multiple',
								'data-placeholder' => esc_attr__('Select Widget Areas', 'soulmedic'),
								'style'            => 'width: 400px;'
							),
						),

						array(
							'id'      => 'shop-product-per-page',
							'type'    => 'number',
							'title'   => esc_html__('Products Per Page', 'soulmedic'),
							'after'   => '<span class="cs-text-desc">&nbsp;'.esc_html__('Number of products to show in catalog / shop page', 'soulmedic').'</span>',
							'default' => 12,
						),

						array(
							'id'         => 'shop-page-product-layout',
							'type'       => 'image_select',
							'title'      => esc_html__('Product Layout', 'soulmedic'),
							'options'    => array(
								1 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-column.png',
								2 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-half-column.png',
								3 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-third-column.png',
								4 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-fourth-column.png'
							),
							'default'    => 3,							
						),

				        array(
				          'id'         => 'shop-page-product-style-template',
				          'type'       => 'select',
				          'title'      => esc_html__('Product Style Template', 'soulmedic'),
									'options'    => $product_style_templates_arr,
									'default'    => 0
				        ), 											

								array(
									'id'         => 'shop-page-enable-breadcrumb',
									'type'       => 'switcher',
									'title'      => esc_html__('Enable Breadcrumb', 'soulmedic'),
									'info'       => esc_html__('YES! to show breadcrumb on shop page.', 'soulmedic'),
									'default'    => true
								),

								array(
									'id'  		 => 'shop-page-bottom-hook',
									'type'  	 => 'textarea',
									'title' 	 => esc_html__('Bottom Hook', 'soulmedic'),
									'info'		 => esc_html__('Content added here will be shown below shop listings.', 'soulmedic')
								),

						array(
							'type'    => 'subheading',
							'content' => esc_html__( "Shop Page Sorter Settings", 'soulmedic' ),
						),

						array(
							'id'         => 'product-show-sorter-on-header',
							'type'       => 'switcher',
							'title'      => esc_html__('Show Sorter On Header', 'soulmedic'),
							'attributes' => array( 'data-depend-id' => 'dt-woo-shop-product-sorter-on-header' ),
							'info'       => esc_html__('YES! to show sorter bar on header.', 'soulmedic'),
							'default'	 => true
						),

						array(
							'id'             => 'product-sorter-header-elements',
							'type'           => 'sorter',
							'title'          => esc_html__('Sorter Header Elements', 'soulmedic'),
							'default'        => array(
								'enabled'      => array(
									'filter'       => esc_html__('Filter', 'soulmedic'),									
								),
								'disabled'     => array(
									'result_count' => esc_html__('Result Count', 'soulmedic'),
									'pagination'   => esc_html__('Pagination', 'soulmedic'),
									'display_mode'         => esc_html__('Display Mode', 'soulmedic'),
									'display_mode_options' => esc_html__('Display Mode Options', 'soulmedic'),
								),
							),
							'enabled_title'  => esc_html__('Active Elements', 'soulmedic'),
							'disabled_title' => esc_html__('Deatcive Elements', 'soulmedic'),
							'dependency' => array( 'dt-woo-shop-product-sorter-on-header', '==', 'true' )
						),

						array(
							'id'         => 'product-show-sorter-on-footer',
							'type'       => 'switcher',
							'title'      => esc_html__('Show Sorter On Footer', 'soulmedic'),
							'attributes' => array( 'data-depend-id' => 'dt-woo-shop-product-sorter-on-footer' ),
							'info'       => esc_html__('YES! to show sorter bar on footer.', 'soulmedic'),
							'default'	 => true
						),

						array(
							'id'             => 'product-sorter-footer-elements',
							'type'           => 'sorter',
							'title'          => esc_html__('Sorter Footer Elements', 'soulmedic'),
							'default'        => array(
								'enabled'      => array(									
									'pagination'   => esc_html__('Pagination', 'soulmedic'),
								),
								'disabled'     => array(
									'filter'       => esc_html__('Filter', 'soulmedic'),
									'result_count' => esc_html__('Result Count', 'soulmedic'),
									'display_mode'         => esc_html__('Display Mode', 'soulmedic'),
									'display_mode_options' => esc_html__('Display Mode Options', 'soulmedic'),
								),
							),
							'enabled_title'  => esc_html__('Active Elements', 'soulmedic'),
							'disabled_title' => esc_html__('Deatcive Elements', 'soulmedic'),
							'dependency' => array( 'dt-woo-shop-product-sorter-on-footer', '==', 'true' )
						)

					)
				),

			// Product Category
				array(
					'name'	=> 'dt-woo-cat-archive',
					'title'	=> esc_html__('Category Archive', 'soulmedic'),
					'icon'  => 'fa fa-angle-double-right',
					'fields'=> array(

						array(
							'type'    => 'subheading',
							'content' => esc_html__( 'Category Archive Settings', 'soulmedic' ),
						),

						array(
							'id'         => 'dt-woo-category-archive-layout',
							'type'       => 'image_select',
							'title'      => esc_html__('Page Layout', 'soulmedic'),
							'options'    => $woo_page_layouts,
							'default'    => 'with-left-sidebar',
							'attributes' => array( 'data-depend-id' => 'dt-woo-category-archive-layout' )
						),

						array(
							'id'         => 'dt-woo-category-archive-show-standard-sidebar',
							'type'       => 'switcher',
							'title'      => esc_html__('Show Standard Sidebar', 'soulmedic'),
							'dependency' => array( 'dt-woo-category-archive-layout', 'any', 'with-left-sidebar,with-right-sidebar' ),
							'default'    => true
						),

						array(
							'id'         => 'dt-woo-category-archive-widgetareas',
							'type'       => 'select',
							'title'      => esc_html__('Choose Custom Widget Area', 'soulmedic'),
							'class'      => 'chosen',
							'options'    => soulmedic_custom_widgets(),
							'dependency' => array( 'dt-woo-category-archive-layout', 'any', 'with-left-sidebar,with-right-sidebar' ),
							'attributes' => array(
								'multiple'         => 'multiple',
								'data-placeholder' => esc_attr__('Select Widget Areas', 'soulmedic'),
								'style'            => 'width: 400px;'
							),
						),

						array(
							'id'      => 'dt-woo-category-archive-product-per-page',
							'type'    => 'number',
							'title'   => esc_html__('Products Per Page', 'soulmedic'),
							'after'   => '<span class="cs-text-desc">&nbsp;'.esc_html__('Number of products to show in product category archive page', 'soulmedic').'</span>',
							'default' => get_option( 'posts_per_page' ),
						),

						array(
							'id'      => 'dt-woo-category-archive-product-column',
							'type'    => 'image_select',
							'title'   => esc_html__('Product Layout', 'soulmedic'),
							'options' => array(
								1 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-column.png',
								2 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-half-column.png',
								3 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-third-column.png',
								4 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-fourth-column.png'
							),
							'default' => 4,
						),

				        array(
				          'id'         => 'dt-woo-category-product-style-template',
				          'type'       => 'select',
				          'title'      => esc_html__('Product Style Template', 'soulmedic'),
									'options'    => $product_style_templates_arr,
									'default'    => 0
								),

								array(
									'id'         => 'dt-woo-category-archive-enable-breadcrumb',
									'type'       => 'switcher',
									'title'      => esc_html__('Enable Breadcrumb', 'soulmedic'),
									'info'       => esc_html__('YES! to show breadcrumb on category archive page.', 'soulmedic')
								)

					)
				),

			// Product Tag
				array(
					'name'	=> 'dt-woo-tag-archive',
					'title'	=> esc_html__('Tag Archive', 'soulmedic'),
					'icon'  => 'fa fa-angle-double-right',
					'fields'=> array(

						array(
							'type'    => 'subheading',
							'content' => esc_html__( 'Tag Archive Settings', 'soulmedic' ),
						),

						array(
							'id'         => 'dt-woo-tag-archive-layout',
							'type'       => 'image_select',
							'title'      => esc_html__('Page Layout', 'soulmedic'),
							'options'    => $woo_page_layouts,
							'default'    => 'with-left-sidebar',
							'attributes' => array( 'data-depend-id' => 'dt-woo-tag-archive-layout' )
						),

						array(
							'id'         => 'dt-woo-tag-archive-show-standard-sidebar',
							'type'       => 'switcher',
							'title'      => esc_html__('Show Standard Sidebar', 'soulmedic'),
							'dependency' => array( 'dt-woo-tag-archive-layout', 'any', 'with-left-sidebar,with-right-sidebar' )
						),

						array(
							'id'         => 'dt-woo-tag-archive-widgetareas',
							'type'       => 'select',
							'title'      => esc_html__('Choose Custom Widget Area', 'soulmedic'),
							'class'      => 'chosen',
							'options'    => soulmedic_custom_widgets(),
							'dependency' => array( 'dt-woo-tag-archive-layout', 'any', 'with-left-sidebar,with-right-sidebar' ),
							'attributes' => array(
								'multiple'         => 'multiple',
								'data-placeholder' => esc_attr__('Select Widget Areas', 'soulmedic'),
								'style'            => 'width: 400px;'
							),
						),

						array(
							'id'      => 'dt-woo-tag-archive-product-per-page',
							'type'    => 'number',
							'title'   => esc_html__('Products Per Page', 'soulmedic'),
							'after'   => '<span class="cs-text-desc">&nbsp;'.esc_html__('Number of products to show in product tag archive page', 'soulmedic').'</span>',
							'default' => get_option( 'posts_per_page' ),
						),

						array(
							'id'      => 'dt-woo-tag-archive-product-column',
							'type'    => 'image_select',
							'title'   => esc_html__('Product Layout', 'soulmedic'),
							'options' => array(
								2 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-half-column.png',
								3 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-third-column.png',
								4 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-fourth-column.png'							
							),
							'default' => 4,
						),	

				        array(
				          'id'         => 'dt-woo-tag-product-style-template',
				          'type'       => 'select',
				          'title'      => esc_html__('Product Style Template', 'soulmedic'),
									'options'    => $product_style_templates_arr,
									'default'    => 0
								),

								array(
									'id'         => 'dt-woo-tag-archive-enable-breadcrumb',
									'type'       => 'switcher',
									'title'      => esc_html__('Enable Breadcrumb', 'soulmedic'),
									'info'       => esc_html__('YES! to show breadcrumb on tag archive page.', 'soulmedic')
								)								

					)
				),

			// Product
				array(
					'name'   => 'dt-woo-single-product',
					'title'  => esc_html__('Product', 'soulmedic'),
					'icon'   => 'fa fa-angle-double-right',
					'fields' => array_merge ( 
						array(

							array(	
								'type'    => 'subheading',
								'content' => esc_html__( 'Single Product Page Default Settings', 'soulmedic' ),
							),

							array(
								'id'      => 'dt-single-product-default-template',
								'type'    => 'select',
								'title'   => esc_html__('Product Template', 'soulmedic'),
								'class'   => 'chosen',
								'options' => array(
									'woo-default'     => esc_html__( 'WooCommerce Default', 'soulmedic' ),
									'custom-template' => esc_html__( 'Custom Template', 'soulmedic' )
								),
								'default'    => 'woo-default',
								'info'       => esc_html__('Don\'t use product shortcodes in content area when "WooCommerce Default" template is chosen.', 'soulmedic')
							),

							array(
								'id'         => 'dt-single-product-default-layout',
								'type'       => 'image_select',
								'title'      => esc_html__('Page Layout', 'soulmedic'),
								'options'    => $woo_page_layouts,			
								'default'    => 'content-full-width',
								'attributes' => array( 'data-depend-id' => 'dt-single-product-default-layout' )
							),

							array(
								'id'         => 'dt-single-product-show-default-sidebar',
								'type'       => 'switcher',
								'title'      => esc_html__('Show Standard Sidebar', 'soulmedic'),
								'dependency' => array( 'dt-single-product-default-layout', 'any', 'with-left-sidebar,with-right-sidebar' )
							),

							array(
								'id'         => 'dt-single-product-widgetareas',
								'type'       => 'select',
								'title'      => esc_html__('Choose Custom Widget Area', 'soulmedic'),
								'class'      => 'chosen',
								'options'    => soulmedic_custom_widgets(),
								'dependency' => array( 'dt-single-product-default-layout', 'any', 'with-left-sidebar,with-right-sidebar' ),
								'attributes' => array(
									'multiple'         => 'multiple',
									'data-placeholder' => esc_attr__('Select Widget Areas', 'soulmedic'),
									'style'            => 'width: 400px;'
								),
							),

							array(
								'id'		 => 'dt-single-product-sale-countdown-timer',
								'type'		 => 'switcher',
								'title'		 => esc_html__('Enable Sale Countdown Timer', 'soulmedic'),
								'info'       => esc_html__('This option is applicable for "WooCommerce Default" template page only.', 'soulmedic')
							),

							array(
								'id'		 => 'dt-single-product-enable-size-guide',
								'type'		 => 'switcher',
								'title'		 => esc_html__('Enable Size Guide Button', 'soulmedic'),
								'info'       => esc_html__('This option is applicable for "WooCommerce Default" template page only.', 'soulmedic')
							),

							array(
								'id'		 => 'dt-single-product-enable-ajax-addtocart',
								'type'		 => 'switcher',
								'title'		 => esc_html__('Enable Ajax Add To Cart', 'soulmedic'),
								'info'       => esc_html__('If you wish, you can have ajax functionality in single page add to cart button.', 'soulmedic')
							),

							array(
								'id'         => 'dt-single-product-enable-breadcrumb',
								'type'       => 'switcher',
								'title'      => esc_html__('Enable Breadcrumb', 'soulmedic'),
								'info'       => esc_html__('YES! to show breadcrumb on single product page.', 'soulmedic')
							),

							array(	
								'type'    => 'subheading',
								'content' => esc_html__( 'Single Page Upsell Products Settings', 'soulmedic' ),
							),
							
							array(
								'id'		 => 'dt-single-product-default-show-upsell',
								'type'		 => 'switcher',
								'title'		 => esc_html__('Show Upsell Products', 'soulmedic'),
								'default' 	 => true
							),

							array(
								'id'  		=> 'dt-single-product-upsell-title',
								'type'  	=> 'wysiwyg',
								'title' 	=> esc_html__('Upsell Title', 'soulmedic'),
								'default'	=> '<h2>'.esc_html__('You may also like&hellip;', 'soulmedic').'</h2>'
							),

							array(
								'id'      => 'dt-single-product-upsell-column',
								'type'    => 'image_select',
								'title'   => esc_html__('Upsell Column', 'soulmedic'),
								'after'   => '<span class="cs-text-desc">&nbsp;'.esc_html__('Select upsell products column layout', 'soulmedic').'</span>',
								'default' => 4,
								'options' => array(
									1 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-column.png',
									2 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-half-column.png',
									3 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-third-column.png',
									4 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
								)
							),

							array(
								'id'      => 'dt-single-product-upsell-limit',
								'type'    => 'select',
								'title'   => esc_html__('Upsell Limit', 'soulmedic'),
								'after'   => '<span class="cs-text-desc">&nbsp;'.esc_html__('Select upsell products limit', 'soulmedic').'</span>',
								'default' => 4,
								'options' => array(
									1 => esc_html__( '1', 'soulmedic' ),
									2 => esc_html__( '2', 'soulmedic' ),
									3 => esc_html__( '3', 'soulmedic' ),
									4 => esc_html__( '4', 'soulmedic' ),
									5 => esc_html__( '5', 'soulmedic' ),
									6 => esc_html__( '6', 'soulmedic' ),
									7 => esc_html__( '7', 'soulmedic' ),
									8 => esc_html__( '8', 'soulmedic' ),	
									9 => esc_html__( '9', 'soulmedic' ),
									10 => esc_html__( '10', 'soulmedic' ),									
								)
							),

					        array(
					          'id'         => 'dt-woo-single-product-upsell-style-template',
					          'type'       => 'select',
					          'title'      => esc_html__('Product Style Template', 'soulmedic'),
					          'options'    => $product_style_templates_arr
					        ),

							array(	
								'type'    => 'subheading',
								'content' => esc_html__( 'Single Page Related Products Settings', 'soulmedic' ),
							),

							array(
								'id'    => 'dt-single-product-default-show-related',
								'type'  => 'switcher',
								'title' => esc_html__('Show Related Products', 'soulmedic'),
								'default' 	 => true
							),

							array(
								'id'      => 'dt-single-product-related-title',
								'type'    => 'wysiwyg',
								'title'   => esc_html__('Related Product Title', 'soulmedic'),
								'default' => '<h2>'.esc_html__('Related products', 'soulmedic').'</h2>'
							),

							array(
								'id'      => 'dt-single-product-related-column',
								'type'    => 'image_select',
								'title'   => esc_html__('Related Column', 'soulmedic'),
								'after'   => '<span class="cs-text-desc">&nbsp;'.esc_html__('Select related products column layout', 'soulmedic').'</span>',
								'default' => 3,
								'options' => array(
									2 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-half-column.png',
									3 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-third-column.png',
									4 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
								)							
							),

							array(
								'id'      => 'dt-single-product-related-limit',
								'type'    => 'select',
								'title'   => esc_html__('Related Limit', 'soulmedic'),
								'after'   => '<span class="cs-text-desc">&nbsp;'.esc_html__('Select related products limit', 'soulmedic').'</span>',
								'default' => 4,
								'options' => array(
									1 => esc_html__( '1', 'soulmedic' ),
									2 => esc_html__( '2', 'soulmedic' ),
									3 => esc_html__( '3', 'soulmedic' ),
									4 => esc_html__( '4', 'soulmedic' ),
									5 => esc_html__( '5', 'soulmedic' ),
									6 => esc_html__( '6', 'soulmedic' ),
									7 => esc_html__( '7', 'soulmedic' ),
									8 => esc_html__( '8', 'soulmedic' ),	
									9 => esc_html__( '9', 'soulmedic' ),
									10 => esc_html__( '10', 'soulmedic' ),									
								)
							),

					        array(
					          'id'         => 'dt-woo-single-product-related-style-template',
					          'type'       => 'select',
					          'title'      => esc_html__('Product Style Template', 'soulmedic'),
					          'options'    => $product_style_templates_arr
					        ),

							array(	
								'type'    => 'subheading',
								'content' => esc_html__( 'Single Product Page Settings', 'soulmedic' ),
							),

							array(
								'id'    => 'dt-single-product-addtocart-sticky',
								'type'  => 'switcher',
								'title' => esc_html__('Sticky Add to Cart', 'soulmedic'),
							),

							array(
								'id'    => 'dt-single-product-show-360-viewer',
								'type'  => 'switcher',
								'title' => esc_html__('Show Product 360 Viewer', 'soulmedic'),
							),

							array(	
								'type'    => 'subheading',
								'content' => esc_html__( 'Sociables Share', 'soulmedic' ),
							),

							array(
								'id'    => 'dt-single-product-show-sharer-facebook',
								'type'  => 'switcher',
								'title' => esc_html__('Show Facebook Sharer', 'soulmedic'),
							),

							array(
								'id'    => 'dt-single-product-show-sharer-delicious',
								'type'  => 'switcher',
								'title' => esc_html__('Show Delicious Sharer', 'soulmedic'),
							),

							array(
								'id'    => 'dt-single-product-show-sharer-digg',
								'type'  => 'switcher',
								'title' => esc_html__('Show Digg Sharer', 'soulmedic'),
							),

							array(
								'id'    => 'dt-single-product-show-sharer-stumbleupon',
								'type'  => 'switcher',
								'title' => esc_html__('Show Stumble Upon Sharer', 'soulmedic'),
							),

							array(
								'id'    => 'dt-single-product-show-sharer-twitter',
								'type'  => 'switcher',
								'title' => esc_html__('Show Twitter Sharer', 'soulmedic'),
							),

							array(
								'id'    => 'dt-single-product-show-sharer-googleplus',
								'type'  => 'switcher',
								'title' => esc_html__('Show Google Plus Sharer', 'soulmedic'),
							),

							array(
								'id'    => 'dt-single-product-show-sharer-linkedin',
								'type'  => 'switcher',
								'title' => esc_html__('Show LinkedIn Sharer', 'soulmedic'),
							),

							array(
								'id'    => 'dt-single-product-show-sharer-pinterest',
								'type'  => 'switcher',
								'title' => esc_html__('Show Pinterest Sharer', 'soulmedic'),
							),	

							array(	
								'type'    => 'subheading',
								'content' => esc_html__( 'Sociables Follow', 'soulmedic' ),
							),							

						),

						$social_follow_options

					)
				),
			
			// Size Guide
				array(
					'name'   => 'dt-woo-size-guides',
					'title'  => esc_html__( 'Size Guides', 'soulmedic' ),
					'icon'   => 'fa fa-angle-double-right',
					'fields' => array(
						array(
							'id'              => 'dt-woo-size-guides',
							'type'            => 'group',
							'title'           => esc_html__( 'Size Guides List', 'soulmedic' ),
							'button_title'    => esc_html__('Add New', 'soulmedic'),
							'accordion_title' => esc_html__('Add New Size Guide', 'soulmedic'),
							'fields'          => array(
								array(
									'id'    => 'title',
									'type'  => 'text',
									'title' => esc_html__('Title', 'soulmedic'),
								),
								array(
									'id'    => 'size-guide',
									'type'  => 'upload',
									'title' => esc_html__('Size Guide', 'soulmedic'),
								)
							)
						)
					)
				),
			
			// Product Style Templates
				array(
					'name'   => 'dt-woo-product-style-templates-holder',
					'title'  => esc_html__( 'Product Style Templates', 'soulmedic' ),
					'icon'   => 'fa fa-angle-double-right',
					'fields' => array(
						array(
							'id'              => 'dt-woo-product-style-templates',
							'type'            => 'group',
							'title'           => esc_html__( 'Product Style Templates', 'soulmedic' ),
							'button_title'    => esc_html__('Add New', 'soulmedic'),
							'accordion_title' => esc_html__('Add New Template', 'soulmedic'),
							'fields'          => array(

								array(
									'id'    => 'template-title',
									'type'  => 'text',
									'title' => esc_html__('Template Title', 'soulmedic'),
								),
								array(
									'id'         => 'product-style',
									'type'       => 'select',
									'title'      => esc_html__('Product Style', 'soulmedic'),
									'options'    => array(
														'product-style-default'              => esc_html__('Default', 'soulmedic'),
														'product-style-cornered'             => esc_html__('Cornered', 'soulmedic'),
														'product-style-title-eg-highlighter' => esc_html__('Title & Element Group Highlighter', 'soulmedic'),
														'product-style-content-highlighter'  => esc_html__('Content Highlighter', 'soulmedic'),
														'product-style-egrp-overlap-pc'      => esc_html__('Element Group Overlap Product Content', 'soulmedic'),
														'product-style-egrp-reveal-pc'       => esc_html__('Element Group Reveal Product Content', 'soulmedic'),
														'product-style-igrp-over-pc'         => esc_html__('Icon Group over Product Content', 'soulmedic'),
														'product-style-egrp-over-pc'         => esc_html__('Element Group over Product Content', 'soulmedic')
													),
									'default'    => 'product-style-default'
								),								

							// "Product Style" Hover Options

								array(
									'type'    => 'notice',
									'class'   => 'info',
									'content' => esc_html__('"Product Style" Hover Options.', 'soulmedic')
								),

								array(
									'id'         => 'product-hover-styles',
									'type'       => 'select',
									'title'      => esc_html__('Hover Styles', 'soulmedic'),
									'options'    => array(
														''                                        => esc_html__('None', 'soulmedic'),
														'product-hover-fade-border'               => esc_html__('Fade - Border', 'soulmedic'),
														'product-hover-fade-skinborder'           => esc_html__('Fade - Skin Border', 'soulmedic'),
														'product-hover-fade-gradientborder'       => esc_html__('Fade - Gradient Border', 'soulmedic'),
														'product-hover-fade-shadow'               => esc_html__('Fade - Shadow', 'soulmedic'),
														'product-hover-fade-inshadow'             => esc_html__('Fade - InShadow', 'soulmedic'),
														'product-hover-thumb-fade-border'         => esc_html__('Fade Thumb Border', 'soulmedic'),
														'product-hover-thumb-fade-skinborder'     => esc_html__('Fade Thumb SkinBorder', 'soulmedic'),
														'product-hover-thumb-fade-gradientborder' => esc_html__('Fade Thumb Gradient Border', 'soulmedic'),
														'product-hover-thumb-fade-shadow'         => esc_html__('Fade Thumb Shadow', 'soulmedic'),
														'product-hover-thumb-fade-inshadow'       => esc_html__('Fade Thumb InShadow', 'soulmedic')
													),
									'default'    => 'product-hover-fade-skinborder'
								),

								array(
									'id'         => 'product-overlay-bgcolor',
									'type'       => 'color_picker',
									'title'      => esc_html__('Overlay Background Color', 'soulmedic')
								),

								array(
									'id'         => 'product-overlay-dark-bgcolor',
									'type'       => 'switcher',
									'title'      => esc_html__('Overlay Dark Background', 'soulmedic'),
								),

								array(
									'id'         => 'product-overlay-effects',
									'type'       => 'select',
									'title'      => esc_html__('Overlay Effects', 'soulmedic'),
									'options'    => array(
														''                                    => esc_html__('None', 'soulmedic'),
														'product-overlay-fixed'               => esc_html__('Fixed', 'soulmedic'),
														'product-overlay-toptobottom'         => esc_html__('Top to Bottom', 'soulmedic'),
														'product-overlay-bottomtotop'         => esc_html__('Bottom to Top', 'soulmedic'),
														'product-overlay-righttoleft'         => esc_html__('Right to Left', 'soulmedic'),
														'product-overlay-lefttoright'         => esc_html__('Left to Right', 'soulmedic'),
														'product-overlay-middle'              => esc_html__('Middle', 'soulmedic'),
														'product-overlay-middleradial'        => esc_html__('Middle Radial', 'soulmedic'),
														'product-overlay-gradienttoptobottom' => esc_html__('Gradient - Top to Bottom', 'soulmedic'),
														'product-overlay-gradientbottomtotop' => esc_html__('Gradient - Bottom to Top', 'soulmedic'),
														'product-overlay-gradientrighttoleft' => esc_html__('Gradient - Right to Left', 'soulmedic'),
														'product-overlay-gradientlefttoright' => esc_html__('Gradient - Left to Right', 'soulmedic'),
														'product-overlay-gradientradial'      => esc_html__('Gradient - Radial', 'soulmedic'),
														'product-overlay-flash'               => esc_html__('Flash', 'soulmedic'),
														'product-overlay-scale'               => esc_html__('Scale', 'soulmedic'),
														'product-overlay-horizontalelastic'   => esc_html__('Horizontal - Elastic', 'soulmedic'),
														'product-overlay-verticalelastic'     => esc_html__('Vertical - Elastic', 'soulmedic')
													),
									'default'    => ''
								),

								array(
									'id'         => 'product-hover-image-effects',
									'type'       => 'select',
									'title'      => esc_html__('Hover Image Effects', 'soulmedic'),
									'options'    => array(
														''                                => esc_html__('None', 'soulmedic'),
														'product-hover-image-blur'        => esc_html__('Blur', 'soulmedic'),
														'product-hover-image-blackwhite'  => esc_html__('Black & White', 'soulmedic'),
														'product-hover-image-fadeinleft'  => esc_html__('Fade In Left', 'soulmedic'),
														'product-hover-image-fadeinright' => esc_html__('Fade In Right', 'soulmedic'),
														'product-hover-image-rotate'      => esc_html__('Rotate', 'soulmedic'),
														'product-hover-image-rotatealt'   => esc_html__('Rotate - Alt', 'soulmedic'),
														'product-hover-image-scalein'     => esc_html__('Scale In', 'soulmedic'),
														'product-hover-image-scaleout'    => esc_html__('Scale Out', 'soulmedic'),
														'product-hover-image-floatout'    => esc_html__('Float Up', 'soulmedic')
													),
									'default'    => ''
								),

								array(
									'id'         => 'product-hover-secondary-image-effects',
									'type'       => 'select',
									'title'      => esc_html__('Hover Secondary Image Effects', 'soulmedic'),
									'options'    => array(
														'product-hover-secimage-fade'              => esc_html__('Fade', 'soulmedic'),
														'product-hover-secimage-zoomin'            => esc_html__('Zoom In', 'soulmedic'),
														'product-hover-secimage-zoomout'           => esc_html__('Zoom Out', 'soulmedic'),
														'product-hover-secimage-zoomoutup'         => esc_html__('Zoom Out Up', 'soulmedic'),
														'product-hover-secimage-zoomoutdown'       => esc_html__('Zoom Out Down', 'soulmedic'),
														'product-hover-secimage-zoomoutleft'       => esc_html__('Zoom Out Left', 'soulmedic'),
														'product-hover-secimage-zoomoutright'      => esc_html__('Zoom Out Right', 'soulmedic'),
														'product-hover-secimage-pushup'            => esc_html__('Push Up', 'soulmedic'),
														'product-hover-secimage-pushdown'          => esc_html__('Push Down', 'soulmedic'),
														'product-hover-secimage-pushleft'          => esc_html__('Push Left', 'soulmedic'),
														'product-hover-secimage-pushright'         => esc_html__('Push Right', 'soulmedic'),
														'product-hover-secimage-slideup'           => esc_html__('Slide Up', 'soulmedic'),
														'product-hover-secimage-slidedown'         => esc_html__('Slide Down', 'soulmedic'),
														'product-hover-secimage-slideleft'         => esc_html__('Slide Left', 'soulmedic'),
														'product-hover-secimage-slideright'        => esc_html__('Slide Right', 'soulmedic'),		
														'product-hover-secimage-hingeup'           => esc_html__('Hinge Up', 'soulmedic'),
														'product-hover-secimage-hingedown'         => esc_html__('Hinge Down', 'soulmedic'),
														'product-hover-secimage-hingeleft'         => esc_html__('Hinge Left', 'soulmedic'),
														'product-hover-secimage-hingeright'        => esc_html__('Hinge Right', 'soulmedic'),		
														'product-hover-secimage-foldup'            => esc_html__('Fold Up', 'soulmedic'),
														'product-hover-secimage-folddown'          => esc_html__('Fold Down', 'soulmedic'),
														'product-hover-secimage-foldleft'          => esc_html__('Fold Left', 'soulmedic'),
														'product-hover-secimage-foldright'         => esc_html__('Fold Right', 'soulmedic'),
														'product-hover-secimage-fliphoriz'         => esc_html__('Flip Horizontal', 'soulmedic'),
														'product-hover-secimage-flipvert'          => esc_html__('Flip Vertical', 'soulmedic')
													),
									'default'    => 'product-hover-secimage-fade'
								),

								array(
									'id'         => 'product-content-hover-effects',
									'type'       => 'select',
									'title'      => esc_html__('Content Hover Effects', 'soulmedic'),
									'options'    => array(
														''                                   => esc_html__('None', 'soulmedic'),
														'product-content-hover-fade'         => esc_html__('Fade', 'soulmedic'),
														'product-content-hover-zoom'         => esc_html__('Zoom', 'soulmedic'),
														'product-content-hover-slidedefault' => esc_html__('Slide Default', 'soulmedic'),
														'product-content-hover-slideleft'    => esc_html__('Slide From Left', 'soulmedic'),
														'product-content-hover-slideright'   => esc_html__('Slide From Right', 'soulmedic'),
														'product-content-hover-slidetop'     => esc_html__('Slide From Top', 'soulmedic'),
														'product-content-hover-slidebottom'  => esc_html__('Slide From Bottom', 'soulmedic')
													),
									'default'    => ''
								),

								array(
									'id'         => 'product-icongroup-hover-effects',
									'type'       => 'select',
									'title'      => esc_html__('Icon Group Hover Effects', 'soulmedic'),
									'options'    => array(
														''                               => esc_html__('None', 'soulmedic'),
														'product-icongroup-hover-flipx'  => esc_html__('Flip X', 'soulmedic'),
														'product-icongroup-hover-flipy'  => esc_html__('Flip Y', 'soulmedic'),
														'product-icongroup-hover-bounce' => esc_html__('Bounce', 'soulmedic')
													),
									'default'    => ''
								),

							// "Product Style" Common Options

								array(
									'type'    => 'notice',
									'class'   => 'info',
									'content' => esc_html__('"Product Style" Common Options.', 'soulmedic')
								),	
								array(
									'id'         => 'product-borderorshadow',
									'type'       => 'select',
									'title'      => esc_html__('Border or Shadow', 'soulmedic'),
									'options'    => array(
														''                              => esc_html__('None', 'soulmedic'),
														'product-borderorshadow-border' => esc_html__('Border', 'soulmedic'),
														'product-borderorshadow-shadow' => esc_html__('Shadow', 'soulmedic')
													),
									'default'    => 'product-borderorshadow-border',
									'desc'      => esc_html__('Choose either Border or Shadow for your product listing.', 'soulmedic')
								),										
								array(
									'id'         => 'product-border-type',
									'type'       => 'select',
									'title'      => esc_html__('Border - Type', 'soulmedic'),
									'options'    => array(
														'product-border-type-default' => esc_html__('Default', 'soulmedic'),
														'product-border-type-thumb'   => esc_html__('Thumb', 'soulmedic')
													),
									'default'    => 'product-border-type-default',
								),													
								array(
									'id'         => 'product-border-position',
									'type'       => 'select',
									'title'      => esc_html__('Border - Position', 'soulmedic'),
									'options'    => array(
														'product-border-position-default'      => esc_html__('Default', 'soulmedic'),
														'product-border-position-left'         => esc_html__('Left', 'soulmedic'),
														'product-border-position-right'        => esc_html__('Right', 'soulmedic'),
														'product-border-position-top'          => esc_html__('Top', 'soulmedic'),
														'product-border-position-bottom'       => esc_html__('Bottom', 'soulmedic'),
														'product-border-position-top-left'     => esc_html__('Top Left', 'soulmedic'),
														'product-border-position-top-right'    => esc_html__('Top Right', 'soulmedic'),
														'product-border-position-bottom-left'  => esc_html__('Bottom Left', 'soulmedic'),
														'product-border-position-bottom-right' => esc_html__('Bottom Right', 'soulmedic')														
													),
									'default'    => 'product-border-position-default',
								),	
								array(
									'id'         => 'product-shadow-type',
									'type'       => 'select',
									'title'      => esc_html__('Shadow - Type', 'soulmedic'),
									'options'    => array(
														'product-shadow-type-default' => esc_html__('Default', 'soulmedic'),
														'product-shadow-type-thumb'   => esc_html__('Thumb', 'soulmedic')
													),
									'default'    => 'product-shadow-type-default',
								),
								array(
									'id'         => 'product-shadow-position',
									'type'       => 'select',
									'title'      => esc_html__('Shadow - Position', 'soulmedic'),
									'options'    => array(
														'product-shadow-position-default'      => esc_html__('Default', 'soulmedic'),
														'product-shadow-position-top-left'     => esc_html__('Top Left', 'soulmedic'),
														'product-shadow-position-top-right'    => esc_html__('Top Right', 'soulmedic'),
														'product-shadow-position-bottom-left'  => esc_html__('Bottom Left', 'soulmedic'),
														'product-shadow-position-bottom-right' => esc_html__('Bottom Right', 'soulmedic')
													),
									'default'    => 'product-shadow-position-default',
								),

								array(
									'id'         => 'product-bordershadow-highlight',
									'type'       => 'select',
									'title'      => esc_html__('Border / Shadow - Highlight', 'soulmedic'),
									'options'    => array(
														''                                       => esc_html__('None', 'soulmedic'),
														'product-bordershadow-highlight-default' => esc_html__('Default', 'soulmedic'),
														'product-bordershadow-highlight-onhover' => esc_html__('On Hover', 'soulmedic')
													),
									'default'    => '',
								),

								array(
									'id'         => 'product-background-bgcolor',
									'type'       => 'color_picker',
									'title'      => esc_html__('Background - Background Color', 'soulmedic')
								),

								array(
									'id'         => 'product-background-dark-bgcolor',
									'type'       => 'switcher',
									'title'      => esc_html__('Background - Dark Background', 'soulmedic')
								),
							
								array(
									'id'         => 'product-padding',
									'type'       => 'select',
									'title'      => esc_html__('Padding', 'soulmedic'),
									'options'    => array(
														'product-padding-default' => esc_html__('Default', 'soulmedic'),
														'product-padding-overall' => esc_html__('Product', 'soulmedic'),
														'product-padding-thumb'   => esc_html__('Thumb', 'soulmedic'),
														'product-padding-content' => esc_html__('Content', 'soulmedic'),
													),
									'default'    => 'product-padding-default'
								),
								array(
									'id'         => 'product-space',
									'type'       => 'select',
									'title'      => esc_html__('Space', 'soulmedic'),
									'options'    => array(
														'product-without-space' => esc_html__('False', 'soulmedic'),
														'product-with-space'  => esc_html__('True', 'soulmedic')
													),
									'default'    => 'product-with-space'
								),
								array(
									'id'         => 'product-display-type',
									'type'       => 'select',
									'title'      => esc_html__('Display Type', 'soulmedic'),
									'options'    => array(
														'grid' => esc_html__('Grid', 'soulmedic'),
														'list'  => esc_html__('List', 'soulmedic')
													),
									'default'    => 'grid'
								),
								array(
									'id'         => 'product-display-type-list-options',
									'type'       => 'select',
									'title'      => esc_html__('List Options', 'soulmedic'),
									'options'    => array(
														'left-thumb'  => esc_html__('Left Thumb', 'soulmedic'),
														'right-thumb' => esc_html__('Right Thumb', 'soulmedic')
													),
									'default'    => 'left-thumb'
								),	
								array(
									'id'         => 'product-show-labels',
									'type'       => 'select',
									'title'      => esc_html__('Show Product Labels', 'soulmedic'),
									'options'    => array(
														'true'  => esc_html__('True', 'soulmedic'),
														'false' => esc_html__('False', 'soulmedic')
													),
									'default'    => 'true'
								),															
								array(
									'id'         => 'product-label-design',
									'type'       => 'select',
									'title'      => esc_html__('Product Label Design', 'soulmedic'),
									'options'    => array(
														'product-label-boxed'      => esc_html__('Boxed', 'soulmedic'),
														'product-label-circle'  => esc_html__('Circle', 'soulmedic'),
														'product-label-rounded'   => esc_html__('Rounded', 'soulmedic'),
														'product-label-angular'   => esc_html__('Angular', 'soulmedic'),
														'product-label-ribbon'   => esc_html__('Ribbon', 'soulmedic'),
													),
									'default'    => 'product-label-circle',
								),

								array(
									'id'         => 'product-custom-class',
									'type'       => 'text',
									'title'      => esc_html__('Custom Class', 'soulmedic')
								),	

							// "Product Style - Thumb" Options

								array(
									'type'    => 'notice',
									'class'   => 'info',
									'content' => esc_html__('"Product Style - Thumb" Options.', 'soulmedic')
								),

								array(
									'id'         => 'product-thumb-secondary-image-onhover',
									'type'       => 'switcher',
									'title'      => esc_html__('Show Secondary Image On Hover', 'soulmedic'),
									'desc'	 => esc_html__('YES! to show secondary image on product hover. First image in the gallery will be used as secondary image.', 'soulmedic'),
									'default'   => true
								),

								array(
									'id'             => 'product-thumb-content',
									'type'           => 'sorter',
									'title'          => esc_html__('Content', 'soulmedic'),
									'default'        => array(
										'enabled'      => array(
											
										),
										'disabled'     => array(
											'title'          => esc_html__('Title', 'soulmedic'),
											'category'       => esc_html__('Category', 'soulmedic'),
											'price'          => esc_html__('Price', 'soulmedic'),
											'button_element' => esc_html__('Button Element', 'soulmedic'),
											'icons_group'    => esc_html__('Icons Group', 'soulmedic'),
											'excerpt'       => esc_html__('Excerpt', 'soulmedic'),
											'rating'        => esc_html__('Rating', 'soulmedic'),
											'countdown'     => esc_html__('Count Down', 'soulmedic'),
											'separator'     => esc_html__('Separator', 'soulmedic'),
											'element_group' => esc_html__('Element Group', 'soulmedic'),
											'swatches'      => esc_html__('Swatches', 'soulmedic'),
										),
									),
									'enabled_title'  => esc_html__('Active Elements', 'soulmedic'),
									'disabled_title' => esc_html__('Deatcive Elements', 'soulmedic'),
								),

								array(
									'id'         => 'product-thumb-alignment',
									'type'       => 'select',
									'title'      => esc_html__('Alignment', 'soulmedic'),
									'options'    => array(
														'product-thumb-alignment-top'          => esc_html__('Top', 'soulmedic'),
														'product-thumb-alignment-top-left'     => esc_html__('Top Left', 'soulmedic'),
														'product-thumb-alignment-top-right'    => esc_html__('Top Right', 'soulmedic'),
														'product-thumb-alignment-middle'       => esc_html__('Middle', 'soulmedic'),
														'product-thumb-alignment-bottom'       => esc_html__('Bottom', 'soulmedic'),
														'product-thumb-alignment-bottom-left'  => esc_html__('Bottom Left', 'soulmedic'),
														'product-thumb-alignment-bottom-right' => esc_html__('Bottom Right', 'soulmedic')
													),
									'default'    => 'product-thumb-alignment-top'
								),

								array(
									'id'         => 'product-thumb-iconsgroup-icons',
									'type'       => 'select',
									'title'      => esc_html__('Icons Group - Icons', 'soulmedic'),
									'options'    => array(
														'cart'      => esc_html__('Cart', 'soulmedic'),
														'wishlist'  => esc_html__('Wishlist', 'soulmedic'),
														'compare'   => esc_html__('Compare', 'soulmedic'),
														'quickview' => esc_html__('Quick View', 'soulmedic')
													),
									'class'         => 'chosen',
									'attributes'    => array(
										'multiple'    => 'multiple',
									),							
								),

								array(
									'id'         => 'product-thumb-iconsgroup-style',
									'type'       => 'select',
									'title'      => esc_html__('Icons Group - Style', 'soulmedic'),
									'options'    => array(
														'product-thumb-iconsgroup-style-simple'  => esc_html__('Simple', 'soulmedic'),
														'product-thumb-iconsgroup-style-bgfill-square'  => esc_html__('Background Fill Square', 'soulmedic'),
														'product-thumb-iconsgroup-style-bgfill-rounded-square' => esc_html__('Background Fill Rounded Square', 'soulmedic'),
														'product-thumb-iconsgroup-style-bgfill-rounded'  => esc_html__('Background Fill Rounded', 'soulmedic'),
														'product-thumb-iconsgroup-style-brdrfill-square'  => esc_html__('Border Fill Square', 'soulmedic'),
														'product-thumb-iconsgroup-style-brdrfill-rounded-square' => esc_html__('Border Fill Rounded Square', 'soulmedic'),
														'product-thumb-iconsgroup-style-brdrfill-rounded'  => esc_html__('Border Fill Rounded', 'soulmedic'),
														'product-thumb-iconsgroup-style-skinbgfill-square'  => esc_html__('Skin Background Fill Square', 'soulmedic'),
														'product-thumb-iconsgroup-style-skinbgfill-rounded-square' => esc_html__('Skin Background Fill Rounded Square', 'soulmedic'),
														'product-thumb-iconsgroup-style-skinbgfill-rounded'  => esc_html__('Skin Background Fill Rounded', 'soulmedic'),
														'product-thumb-iconsgroup-style-skinbrdrfill-square'  => esc_html__('Skin Border Fill Square', 'soulmedic'),
														'product-thumb-iconsgroup-style-skinbrdrfill-rounded-square' => esc_html__('Skin Border Fill Rounded Square', 'soulmedic'),
														'product-thumb-iconsgroup-style-skinbrdrfill-rounded'  => esc_html__('Skin Border Fill Rounded', 'soulmedic')																											
													),
									'default'    => 'product-thumb-iconsgroup-style-simple'
								),

								array(
									'id'         => 'product-thumb-iconsgroup-position',
									'type'       => 'select',
									'title'      => esc_html__('Icons Group - Position', 'soulmedic'),
									'options'    => array(

													''                                                                              => esc_html__('Default', 'soulmedic'),

													'product-thumb-iconsgroup-position-horizontal horizontal-position-top'          => esc_html__('Horizontal Top', 'soulmedic'),
													'product-thumb-iconsgroup-position-horizontal horizontal-position-top-left'     => esc_html__('Horizontal Top Left', 'soulmedic'),
													'product-thumb-iconsgroup-position-horizontal horizontal-position-top-right'    => esc_html__('Horizontal Top Right', 'soulmedic'),
													'product-thumb-iconsgroup-position-horizontal horizontal-position-middle'       => esc_html__('Horizontal Middle', 'soulmedic'),
													'product-thumb-iconsgroup-position-horizontal horizontal-position-bottom'       => esc_html__('Horizontal Bottom', 'soulmedic'),
													'product-thumb-iconsgroup-position-horizontal horizontal-position-bottom-left'  => esc_html__('Horizontal Bottom Left', 'soulmedic'),
													'product-thumb-iconsgroup-position-horizontal horizontal-position-bottom-right' => esc_html__('Horizontal Bottom Right', 'soulmedic'),

													'product-thumb-iconsgroup-position-vertical vertical-position-top-left'         => esc_html__('Vertical Top Left', 'soulmedic'),
													'product-thumb-iconsgroup-position-vertical vertical-position-top-right'        => esc_html__('Vertical Top Right', 'soulmedic'),
													'product-thumb-iconsgroup-position-vertical vertical-position-middle-left'      => esc_html__('Vertical Middle Left', 'soulmedic'),
													'product-thumb-iconsgroup-position-vertical vertical-position-middle-right'     => esc_html__('Vertical Middle Right', 'soulmedic'),
													'product-thumb-iconsgroup-position-vertical vertical-position-bottom-left'      => esc_html__('Vertical Bottom Left', 'soulmedic'),
													'product-thumb-iconsgroup-position-vertical vertical-position-bottom-right'     => esc_html__('Vertical Bottom Right', 'soulmedic')

												),
									'default'    => ''
								),

								array(
									'id'         => 'product-thumb-buttonelement-button',
									'type'       => 'select',
									'title'      => esc_html__('Button Element - Button', 'soulmedic'),
									'options'    => array(
														''          => esc_html__('None', 'soulmedic'),
														'cart'      => esc_html__('Cart', 'soulmedic'),
														'wishlist'  => esc_html__('Wishlist', 'soulmedic'),
														'compare'   => esc_html__('Compare', 'soulmedic'),
														'quickview' => esc_html__('Quick View', 'soulmedic')
													),
									'default'	  => 'cart'

								),	

								array(
									'id'         => 'product-thumb-buttonelement-secondary-button',
									'type'       => 'select',
									'title'      => esc_html__('Button Element - Secondary Button', 'soulmedic'),
									'options'    => array(
														''          => esc_html__('None', 'soulmedic'),
														'cart'      => esc_html__('Cart', 'soulmedic'),
														'wishlist'  => esc_html__('Wishlist', 'soulmedic'),
														'compare'   => esc_html__('Compare', 'soulmedic'),
														'quickview' => esc_html__('Quick View', 'soulmedic')
														),
									'default'	  => 'wishlist'
								),

								array(
									'id'         => 'product-thumb-buttonelement-style',
									'type'       => 'select',
									'title'      => esc_html__('Button Element - Style', 'soulmedic'),
									'options'    => array(
														'product-thumb-buttonelement-style-simple'  => esc_html__('Simple', 'soulmedic'),
														'product-thumb-buttonelement-style-bgfill-square'  => esc_html__('Background Fill Square', 'soulmedic'),
														'product-thumb-buttonelement-style-bgfill-rounded-square' => esc_html__('Background Fill Rounded Square', 'soulmedic'),
														'product-thumb-buttonelement-style-bgfill-rounded'  => esc_html__('Background Fill Rounded', 'soulmedic'),
														'product-thumb-buttonelement-style-brdrfill-square'  => esc_html__('Border Fill Square', 'soulmedic'),
														'product-thumb-buttonelement-style-brdrfill-rounded-square' => esc_html__('Border Fill Rounded Square', 'soulmedic'),
														'product-thumb-buttonelement-style-brdrfill-rounded'  => esc_html__('Border Fill Rounded', 'soulmedic'),
														'product-thumb-buttonelement-style-skinbgfill-square'  => esc_html__('Skin Background Fill Square', 'soulmedic'),
														'product-thumb-buttonelement-style-skinbgfill-rounded-square' => esc_html__('Skin Background Fill Rounded Square', 'soulmedic'),
														'product-thumb-buttonelement-style-skinbgfill-rounded'  => esc_html__('Skin Background Fill Rounded', 'soulmedic'),
														'product-thumb-buttonelement-style-skinbrdrfill-square'  => esc_html__('Skin Border Fill Square', 'soulmedic'),
														'product-thumb-buttonelement-style-skinbrdrfill-rounded-square' => esc_html__('Skin Border Fill Rounded Square', 'soulmedic'),
														'product-thumb-buttonelement-style-skinbrdrfill-rounded'  => esc_html__('Skin Border Fill Rounded', 'soulmedic')																
													),
									'default'    => 'product-thumb-buttonelement-style-simple'
								),

								array(
									'id'         => 'product-thumb-buttonelement-stretch',
									'type'       => 'select',
									'title'      => esc_html__('Button Element - Stretch', 'soulmedic'),
									'options'    => array(
														''                                    => esc_html__('False', 'soulmedic'),
														'product-thumb-buttonelement-stretch' => esc_html__('True', 'soulmedic')
													)
								),

								array(
									'id'             => 'product-thumb-element-group',
									'type'           => 'sorter',
									'title'          => esc_html__('Element Group Content', 'soulmedic'),
									'default'        => array(
										'enabled'      => array(
											'title' => esc_html__('Title', 'soulmedic'),
											'price' => esc_html__('Price', 'soulmedic')
										),
										'disabled'     => array(
											'cart'           => esc_html__('Cart', 'soulmedic'),
											'wishlist'       => esc_html__('Wishlist', 'soulmedic'),
											'compare'        => esc_html__('Compare', 'soulmedic'),
											'quickview'      => esc_html__('Quick View', 'soulmedic'),
											'category'       => esc_html__('Category', 'soulmedic'),
											'button_element' => esc_html__('Button Element', 'soulmedic'),
											'icons_group'    => esc_html__('Icons Group', 'soulmedic'),
											'excerpt'        => esc_html__('Excerpt', 'soulmedic'),
											'rating'         => esc_html__('Rating', 'soulmedic'),
											'separator'      => esc_html__('Separator', 'soulmedic'),
											'swatches'       => esc_html__('Swatches', 'soulmedic')
										),
									),
									'enabled_title'  => esc_html__('Active Elements', 'soulmedic'),
									'disabled_title' => esc_html__('Deatcive Elements', 'soulmedic'),
								),


							// "Product Style - Content" Options
								
								array(
									'type'    => 'notice',
									'class'   => 'info',
									'content' => esc_html__('"Product Style - Content" Options.', 'soulmedic')
								),

								array(
									'id'         => 'product-content-enable',
									'type'       => 'switcher',
									'title'      => esc_html__('Enable Content Section', 'soulmedic'),
									'desc'	 => esc_html__('YES! to enable content section.', 'soulmedic')
								),

								array(
									'id'             => 'product-content-content',
									'type'           => 'sorter',
									'title'          => esc_html__('Content', 'soulmedic'),
									'default'        => array(
										'enabled'      => array(
											'title'          => esc_html__('Title', 'soulmedic'),
											'element_group' => esc_html__('Element Group', 'soulmedic'),
										),
										'disabled'     => array(
											'excerpt'       => esc_html__('Excerpt', 'soulmedic'),
											'rating'        => esc_html__('Rating', 'soulmedic'),
											'countdown'     => esc_html__('Count Down', 'soulmedic'),
											'separator'     => esc_html__('Separator', 'soulmedic'),
											'category'       => esc_html__('Category', 'soulmedic'),
											'price'          => esc_html__('Price', 'soulmedic'),
											'button_element' => esc_html__('Button Element', 'soulmedic'),
											'icons_group'    => esc_html__('Icons Group', 'soulmedic'),
											'swatches'      => esc_html__('Swatches', 'soulmedic'),
										),
									),
									'enabled_title'  => esc_html__('Active Elements', 'soulmedic'),
									'disabled_title' => esc_html__('Deatcive Elements', 'soulmedic'),
								),

								array(
									'id'         => 'product-content-alignment',
									'type'       => 'select',
									'title'      => esc_html__('Alignment', 'soulmedic'),
									'options'    => array(
														'product-content-alignment-left'   => esc_html__('Left', 'soulmedic'),
														'product-content-alignment-right'  => esc_html__('Right', 'soulmedic'),
														'product-content-alignment-center' => esc_html__('Center', 'soulmedic')
													),
									'default'    => 'product-content-alignment-left'
								),

								array(
									'id'         => 'product-content-iconsgroup-icons',
									'type'       => 'select',
									'title'      => esc_html__('Icons Group - Icons', 'soulmedic'),
									'options'    => array(
														'cart'      => esc_html__('Cart', 'soulmedic'),
														'wishlist'  => esc_html__('Wishlist', 'soulmedic'),
														'compare'   => esc_html__('Compare', 'soulmedic'),
														'quickview' => esc_html__('Quick View', 'soulmedic')
													),
									'class'         => 'chosen',
									'attributes'    => array(
										'multiple'    => 'multiple',
									),							
								),

								array(
									'id'         => 'product-content-iconsgroup-style',
									'type'       => 'select',
									'title'      => esc_html__('Icons Group - Style', 'soulmedic'),
									'options'    => array(
														'product-content-iconsgroup-style-simple'  => esc_html__('Simple', 'soulmedic'),
														'product-content-iconsgroup-style-bgfill-square'  => esc_html__('Background Fill Square', 'soulmedic'),
														'product-content-iconsgroup-style-bgfill-rounded-square' => esc_html__('Background Fill Rounded Square', 'soulmedic'),
														'product-content-iconsgroup-style-bgfill-rounded'  => esc_html__('Background Fill Rounded', 'soulmedic'),
														'product-content-iconsgroup-style-brdrfill-square'  => esc_html__('Border Fill Square', 'soulmedic'),
														'product-content-iconsgroup-style-brdrfill-rounded-square' => esc_html__('Border Fill Rounded Square', 'soulmedic'),
														'product-content-iconsgroup-style-brdrfill-rounded'  => esc_html__('Border Fill Rounded', 'soulmedic'),
														'product-content-iconsgroup-style-skinbgfill-square'  => esc_html__('Skin Background Fill Square', 'soulmedic'),
														'product-content-iconsgroup-style-skinbgfill-rounded-square' => esc_html__('Skin Background Fill Rounded Square', 'soulmedic'),
														'product-content-iconsgroup-style-skinbgfill-rounded'  => esc_html__('Skin Background Fill Rounded', 'soulmedic'),
														'product-content-iconsgroup-style-skinbrdrfill-square'  => esc_html__('Skin Border Fill Square', 'soulmedic'),
														'product-content-iconsgroup-style-skinbrdrfill-rounded-square' => esc_html__('Skin Border Fill Rounded Square', 'soulmedic'),
														'product-content-iconsgroup-style-skinbrdrfill-rounded'  => esc_html__('Skin Border Fill Rounded', 'soulmedic')																													
													),
									'default'    => 'product-content-iconsgroup-style-bgfill-rounded-square'
								),

								array(
									'id'         => 'product-content-buttonelement-button',
									'type'       => 'select',
									'title'      => esc_html__('Button Element - Button', 'soulmedic'),
									'options'    => array(
														''          => esc_html__('None', 'soulmedic'),
														'cart'      => esc_html__('Cart', 'soulmedic'),
														'wishlist'  => esc_html__('Wishlist', 'soulmedic'),
														'compare'   => esc_html__('Compare', 'soulmedic'),
														'quickview' => esc_html__('Quick View', 'soulmedic')
													)
								),	

								array(
									'id'         => 'product-content-buttonelement-secondary-button',
									'type'       => 'select',
									'title'      => esc_html__('Button Element - Secondary Button', 'soulmedic'),
									'options'    => array(
														''          => esc_html__('None', 'soulmedic'),
														'cart'      => esc_html__('Cart', 'soulmedic'),
														'wishlist'  => esc_html__('Wishlist', 'soulmedic'),
														'compare'   => esc_html__('Compare', 'soulmedic'),
														'quickview' => esc_html__('Quick View', 'soulmedic')
													)
								),

								array(
									'id'         => 'product-content-buttonelement-style',
									'type'       => 'select',
									'title'      => esc_html__('Button Element - Style', 'soulmedic'),
									'options'    => array(
														'product-content-buttonelement-style-simple'  => esc_html__('Simple', 'soulmedic'),
														'product-content-buttonelement-style-bgfill-square'  => esc_html__('Background Fill Square', 'soulmedic'),
														'product-content-buttonelement-style-bgfill-rounded-square' => esc_html__('Background Fill Rounded Square', 'soulmedic'),
														'product-content-buttonelement-style-bgfill-rounded'  => esc_html__('Background Fill Rounded', 'soulmedic'),
														'product-content-buttonelement-style-brdrfill-square'  => esc_html__('Border Fill Square', 'soulmedic'),
														'product-content-buttonelement-style-brdrfill-rounded-square' => esc_html__('Border Fill Rounded Square', 'soulmedic'),
														'product-content-buttonelement-style-brdrfill-rounded'  => esc_html__('Border Fill Rounded', 'soulmedic'),
														'product-content-buttonelement-style-skinbgfill-square'  => esc_html__('Skin Background Fill Square', 'soulmedic'),
														'product-content-buttonelement-style-skinbgfill-rounded-square' => esc_html__('Skin Background Fill Rounded Square', 'soulmedic'),
														'product-content-buttonelement-style-skinbgfill-rounded'  => esc_html__('Skin Background Fill Rounded', 'soulmedic'),
														'product-content-buttonelement-style-skinbrdrfill-square'  => esc_html__('Skin Border Fill Square', 'soulmedic'),
														'product-content-buttonelement-style-skinbrdrfill-rounded-square' => esc_html__('Skin Border Fill Rounded Square', 'soulmedic'),
														'product-content-buttonelement-style-skinbrdrfill-rounded'  => esc_html__('Skin Border Fill Rounded', 'soulmedic')																													
													),
									'default'    => 'product-content-buttonelement-style-simple'
								),

								array(
									'id'         => 'product-content-buttonelement-stretch',
									'type'       => 'select',
									'title'      => esc_html__('Button Element - Stretch', 'soulmedic'),
									'options'    => array(
														''                                    => esc_html__('False', 'soulmedic'),
														'product-content-buttonelement-stretch' => esc_html__('True', 'soulmedic')
													)
								),

								array(
									'id'             => 'product-content-element-group',
									'type'           => 'sorter',
									'title'          => esc_html__('Element Group Content', 'soulmedic'),
									'default'        => array(
										'enabled'      => array(
											'price'          => esc_html__('Price', 'soulmedic'),
											'icons_group'    => esc_html__('Icons Group', 'soulmedic'),
										),
										'disabled'     => array(
											'cart'           => esc_html__('Cart', 'soulmedic'),
											'wishlist'       => esc_html__('Wishlist', 'soulmedic'),
											'compare'        => esc_html__('Compare', 'soulmedic'),
											'quickview'      => esc_html__('Quick View', 'soulmedic'),
											'category'       => esc_html__('Category', 'soulmedic'),
											'button_element' => esc_html__('Button Element', 'soulmedic'),
											'title'          => esc_html__('Title', 'soulmedic'),
											'excerpt'        => esc_html__('Excerpt', 'soulmedic'),
											'rating'         => esc_html__('Rating', 'soulmedic'),
											'separator'      => esc_html__('Separator', 'soulmedic'),
											'swatches'       => esc_html__('Swatches', 'soulmedic')
										),
									),
									'enabled_title'  => esc_html__('Active Elements', 'soulmedic'),
									'disabled_title' => esc_html__('Deactive Elements', 'soulmedic')
								),

							
							),

							'default' => array (
														dt_sc_woo_default_product_settings()
												),							

						)					
					)
				),

			// Others
				array(
					'name'   => 'dt-woo-other-settings',
					'title'  => esc_html__('Others', 'soulmedic'),
					'icon'   => 'fa fa-angle-double-right',
					'fields' => array(

						array(	
							'type'    => 'subheading',
							'content' => esc_html__( 'Other Settings', 'soulmedic' ),
						),

						array(
							'id'    => 'dt-woo-quantity-plusnminus',
							'type'  => 'switcher',
							'title' => esc_html__('Enable Plus / Minus Button - Quantity', 'soulmedic'),
						),

						array(	
							'type'    => 'subheading',
							'content' => esc_html__( 'Cart Settings', 'soulmedic' ),
						),

						array(
							'id'         => 'dt-woo-addtocart-custom-action',
							'type'       => 'select',
							'title'      => esc_html__('Add To Cart Custom Action', 'soulmedic'),
							'options'    => array(
												''                    => esc_html__('None', 'soulmedic'),
												'sidebar_widget'      => esc_html__('Sidebar Widget', 'soulmedic'),
												'notification_widget' => esc_html__('Notification Widget', 'soulmedic'),
											),
							'default'    => '',
						),

						array(
							'id'      => 'dt-woo-cross-sell-column',
							'type'    => 'image_select',
							'title'   => esc_html__('Cross Sell Product Column', 'soulmedic'),
							'options' => array(
								2 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-half-column.png',
								3 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-third-column.png',
								4 => SOULMEDIC_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
							)
						),

						array(
							'id'  		=> 'dt-cross-sell-title',
							'type'  	=> 'wysiwyg',
							'title' 	=> esc_html__('Cross Sell Title', 'soulmedic'),
							'default'	=> '<h2>You may be interested in&hellip;</h2>'
						),

						array(
							'id'         => 'dt-woo-cross-sell-style-template',
							'type'       => 'select',
							'title'      => esc_html__('Product Style Template', 'soulmedic'),
							'options'    => $product_style_templates_arr
						),

					)
				),
		)
	);
}

CSFramework::instance( $settings, $options );