<?php
	$global_post_styles = array( 'breadcrumb-fixed', 'breadcrumb-parallax', 'overlay', 'overlap', 'custom', 'soulmedic-single-post' );

	$post_meta = get_post_meta($post->ID,'_dt_post_settings',TRUE);
	$post_meta = is_array($post_meta) ? $post_meta  : array();
	$Post_ID = isset($Post_ID) ? $Post_ID  : '';


	$enable_lightbox = cs_get_option( 'enable-image-lightbox' );
	$post_meta['enable-lightbox'] = !empty( $enable_lightbox ) ? $enable_lightbox : '';

	$post_style = isset( $post_meta['single-post-style'] ) && in_array( $post_meta['single-post-style'], $global_post_styles ) ? $post_meta['single-post-style'] : 'soulmedic-single-post';
	$post_classes = array('blog-single-entry', 'post-'.$post_style );

	if( !empty( $post_style ) && $post_style != 'custom' ): ?>

		<article id="post-<?php the_ID();?>" <?php post_class($post_classes);?>><?php 
			if( $post_style == 'soulmedic-single-post' ){ ?>
				<div class="entry-meta"> <?php
					$post_meta = get_post_meta($Post_ID, '_dt_post_settings', TRUE);
					$post_meta = is_array($post_meta) ? $post_meta : array();

					$format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard'; ?>

					<!-- Post Format -->
					<div class="entry-format">
						<a class="ico-format" href="<?php echo esc_url(get_post_format_link( $format ));?>"></a>
					</div>

					<!-- Entry Date -->
					<div class="entry-date">
					<p> <?php echo get_the_date('M').' '.get_the_date('d');?> <span> <?php echo get_the_date('Y'); ?> </span> </p>
					</div>

					<!-- Entry Date --><?php if( ! post_password_required() ) {
			comments_popup_link('<i class="fa fa-comment"> </i> 0', '<i class="fa fa-comment"> </i> 1', '<i class="fa fa-comments"> </i> %', 'comments', '<i class="fa fa-comment"> </i> 0');
		}else{
			echo '<i class="fa fa-lock"> </i><span>'.esc_html__('Enter your password to view comments.', 'soulmedic').'</span>';
		} ?>

				</div>
				<div class="entry-details"> <?php

			} 
            $template = apply_filters( 'soulmedic_blog_single_template', 'framework/templates/single/post-'.$post_style.'.php' );
            $template_args['ID'] = $post->ID;
            $template_args['Post_Style'] = $post_style;
            $template_args['Post_Meta'] = $post_meta;
			soulmedic_get_template( $template, $template_args ); 
		 
		 if( $post_style == 'dt-sc-soulmedic-style' ){ ?>
		    	</div><?php
		 }?>
        
		</article><?php
	else:
		$custom_style = isset( $post_meta['single-custom-style'] ) ? '-'.$post_meta['single-custom-style'] : '';
		$post_classes = array('blog-single-entry', 'post-custom'.$custom_style ); ?>

        <article id="post-<?php the_ID();?>" <?php post_class($post_classes);?>><?php
			the_content();
			wp_link_pages( array( 'before'=>'<div class="page-link">', 'after'=>'</div>', 'link_before'=>'<span>', 'link_after'=>'</span>', 'next_or_number'=>'number', 'pagelink' => '%', 'echo' => 1 ) );
			edit_post_link( esc_html__( ' Edit ','soulmedic' ) ); ?>
        </article><?php
	endif;