<?php
add_action( 'vc_before_init', 'soulmedic_vc_compatible' );
function soulmedic_vc_compatible() {
	
	vc_set_as_theme();

	$posts = apply_filters( 'soulmedic_vc_default_cpt' , array ( 'page' )  );
	vc_set_default_editor_post_types( $posts );
}

/* ---------------------------------------------------------------------------
 * Hook of Top
 * --------------------------------------------------------------------------- */
function soulmedic_hook_top() {
	if( cs_get_option( 'enable-top-hook' ) ) :
		echo '<!-- soulmedic_hook_top -->';
			$hook = cs_get_option( 'top-hook' );
			if (!empty($hook) )
				echo do_shortcode( stripslashes($hook) );
		echo '<!-- soulmedic_hook_top -->';
	endif;	
}
add_action( 'soulmedic_hook_top', 'soulmedic_hook_top', 10 );

/* ---------------------------------------------------------------------------
 * Page Loader
 * --------------------------------------------------------------------------- */
add_action( 'soulmedic_hook_top', 'soulmedic_page_loader', 20 );
function soulmedic_page_loader() {
	$loader = cs_get_option( 'use-site-loader' );
	if( !empty($loader) ) {
		echo '<div class="loader"><div class="loader-inner"><span class="dot"></span><span class="dot dot1"></span><span class="dot dot2"></span><span class="dot dot3"></span><span class="dot dot4"></span></div></div>';
	}
}

/* ---------------------------------------------------------------------------
 * Hook of Content before
 * --------------------------------------------------------------------------- */
function soulmedic_hook_content_before() {
	if( cs_get_option( 'enable-content-before-hook' ) ) :
		echo '<!-- soulmedic_hook_content_before -->';
			$hook = cs_get_option( 'content-before-hook' );
			if (!empty($hook))
				echo do_shortcode( stripslashes($hook) );
		echo '<!-- soulmedic_hook_content_before -->';
	endif;
}
add_action( 'soulmedic_hook_content_before', 'soulmedic_hook_content_before' );


/* ---------------------------------------------------------------------------
 * Hook of Content after
 * --------------------------------------------------------------------------- */
function soulmedic_hook_content_after() {
	if( cs_get_option( 'enable-content-after-hook' ) ) :
		echo '<!-- soulmedic_hook_content_after -->';
			$hook = cs_get_option( 'content-after-hook' );
			if (!empty($hook))
				echo do_shortcode( stripslashes($hook) );
		echo '<!-- soulmedic_hook_content_after -->';
	endif;
}
add_action( 'soulmedic_hook_content_after', 'soulmedic_hook_content_after' );

/* ---------------------------------------------------------------------------
 * Main Header Hook
 * --------------------------------------------------------------------------- */
add_action( 'soulmedic_header', 'soulmedic_vc_header_template', 10 );
if( ! function_exists( 'soulmedic_vc_header_template' ) ) {

    function soulmedic_vc_header_template( $page_id ) {

        $id = '';

        if( is_singular() && empty( $page_id ) ) {

            global $post;

            $settings = get_post_meta( $post->ID,'_dt_custom_settings',TRUE );
            $settings = is_array( $settings ) ? $settings  : array();

            if( array_key_exists( 'show-header', $settings ) && !$settings['show-header'] )
                return;

            
            $id = isset( $settings['header'] ) ? $settings['header'] : '';
            $id = ( $id == '' ) ? cs_get_option( 'header' ) : $id;
        } elseif( !empty( $page_id ) ) {

            $settings = get_post_meta( $page_id, '_dt_custom_settings',TRUE );
            $settings = is_array( $settings ) ? $settings  : array();

            if( array_key_exists( 'show-header', $settings ) && !$settings['show-header'] )
                return;

            $id = isset( $settings['header'] ) ? $settings['header'] : '';
            $id = ( $id == '' ) ? cs_get_option( 'header' ) : $id;

        } else {
            
            $id = cs_get_option( 'header' );
        }

        $id = apply_filters( 'soulmedic_header_id', $id );

        if( !$id || !function_exists( 'vc_lean_map' ) ) {
            get_template_part( 'template-parts/content', 'header' );
            return;
        }
        
        ob_start(); 
        wp_enqueue_style( 'soulmedic-custom-inline' );

        if ( $custom_css = get_post_meta( $id, '_wpb_post_custom_css', true ) ) {
            wp_add_inline_style( 'soulmedic-custom-inline' , $custom_css  );
        }

        if ( $shortcode_custom_css = get_post_meta( $id, '_wpb_shortcodes_custom_css', true ) ) {
            wp_add_inline_style( 'soulmedic-custom-inline' , $shortcode_custom_css  );
        }

        echo '<div id="header-'.esc_attr( $id ).'" class="dt-header-tpl header-' .esc_attr( $id ). '">';
            echo do_shortcode( get_post_field( 'post_content', $id ) );
        echo '</div>';

        $content = ob_get_clean();
        echo apply_filters( 'soulmedic_header_content', $content );
    }
}

/* ---------------------------------------------------------------------------
 * Main Footer Hook
 * --------------------------------------------------------------------------- */
add_action( 'soulmedic_footer', 'soulmedic_vc_footer_template', 10 );
if( ! function_exists( 'soulmedic_vc_footer_template' ) ) {

	function soulmedic_vc_footer_template() {

		$id = '';

		if( is_singular() ) {

			global $post;

			$settings = get_post_meta( $post->ID,'_dt_custom_settings',TRUE );
			$settings = is_array( $settings ) ? $settings  : array();

			if( array_key_exists( 'show-footer', $settings ) && !$settings['show-footer'] )
				return;

            $id = isset( $settings['footer'] ) ? $settings['footer'] : '';
            $id = ( $id == '' ) ? cs_get_option( 'footer' ) : $id;
            
        } else if(function_exists( 'is_woocommerce' ) && is_shop()) {

            $shop_page_id = get_option('woocommerce_shop_page_id');

            $settings = get_post_meta( $shop_page_id,'_dt_custom_settings',TRUE );
			$settings = is_array( $settings ) ? $settings  : array();

			if( array_key_exists( 'show-footer', $settings ) && !$settings['show-footer'] )
				return;

            $id = isset( $settings['footer'] ) ? $settings['footer'] : '';
            $id = ( $id == '' ) ? cs_get_option( 'footer' ) : $id;

		} else {
            $id = cs_get_option( 'footer' );
        }
		
		$id = apply_filters( 'soulmedic_footer_id', $id );
		
		if( !$id || !function_exists( 'vc_lean_map' ) ) {

			echo '<div class="dt-no-footer-builder-content footer-copyright aligncenter">
				<span>&copy; '.date( 'Y' ).' '.get_bloginfo( 'name' ).'. '. get_bloginfo( 'description', 'display' ).'</span>
			</div>';
			return;
		}

		
		ob_start();	
		wp_enqueue_style( 'soulmedic-custom-inline' );

		if ( $custom_css = get_post_meta( $id, '_wpb_post_custom_css', true ) ) {
			wp_add_inline_style( 'soulmedic-custom-inline' , $custom_css  );
		}

		if ( $shortcode_custom_css = get_post_meta( $id, '_wpb_shortcodes_custom_css', true ) ) {
			wp_add_inline_style( 'soulmedic-custom-inline' , $shortcode_custom_css  );
		}

		echo do_shortcode( get_post_field( 'post_content', $id ) );
		$content = ob_get_clean();
        echo apply_filters( 'soulmedic_footer_content', $content );
	}
}

/* ---------------------------------------------------------------------------
 * Hook of Bottom
 * --------------------------------------------------------------------------- */
function soulmedic_hook_bottom() {
	if( cs_get_option( 'enable-bottom-hook' ) ) :
		echo '<!-- soulmedic_hook_bottom -->';
			$hook = cs_get_option( 'bottom-hook' );
            if (!empty($hook))
                echo do_shortcode( stripslashes($hook) );
		echo '<!-- soulmedic_hook_bottom -->';
	endif;
}
add_action( 'soulmedic_hook_bottom', 'soulmedic_hook_bottom' );


/* ---------------------------------------------------------------------------
 * Predefined Skins
 * --------------------------------------------------------------------------- */
function soulmedic_skins( $arg ) {

    $skins = array (
        'blue'         => array( 'primary-color' => '#4bbcd7', 'secondary-color' => '#0390b2', 'tertiary-color' => '#e3f4fb',),
        'chocolate'    => array( 'primary-color' => '#cd661d', 'secondary-color' => '#b34c04', 'tertiary-color' => '#faebe1',),
        'coral'        => array( 'primary-color' => '#ff7f50', 'secondary-color' => '#e16233', 'tertiary-color' => '#fae8e1',),
        'cyan'         => array( 'primary-color' => '#00cdcd', 'secondary-color' => '#04b3b3', 'tertiary-color' => '#e1fafa', ),
        'eggplant'     => array( 'primary-color' => '#614051', 'secondary-color' => '#442836', 'tertiary-color' => '#f7e8f0', ),
        'electricblue' => array( 'primary-color' => '#536878', 'secondary-color' => '#3d4e5c', 'tertiary-color' => '#e1effa', ),
        'ferngreen'    => array( 'primary-color' => '#4f7942', 'secondary-color' => '#35552b', 'tertiary-color' => '#ecf7e9', ),
        'gold'         => array( 'primary-color' => '#e0a81c', 'secondary-color' => '#c48e07', 'tertiary-color' => '#faf3e1', ),
        'green'        => array( 'primary-color' => '#7aa127', 'secondary-color' => '#638716', 'tertiary-color' => '#f3f7e9', ),
        'grey'         => array( 'primary-color' => '#8e8e8e', 'secondary-color' => '#6b6b6b', 'tertiary-color' => '#f3f3f3', ),
        'khaki'        => array( 'primary-color' => '#b6af55', 'secondary-color' => '#958f46', 'tertiary-color' => '#f7f6e9', ),
        'ocean'        => array( 'primary-color' => '#1abc9c', 'secondary-color' => '#05997c', 'tertiary-color' => '#e9f7f4', ),
        'orange'       => array( 'primary-color' => '#f39d12', 'secondary-color' => '#d0850d', 'tertiary-color' => '#f7f2e9', ),
        'palebrown'    => array( 'primary-color' => '#987654', 'secondary-color' => '#7a5c3f', 'tertiary-color' => '#f7f0e9', ),
        'pink'         => array( 'primary-color' => '#e67fb9', 'secondary-color' => '#c45192', 'tertiary-color' => '#f7e9f1', ),
        'purple'       => array( 'primary-color' => '#9c59b6', 'secondary-color' => '#7c4591', 'tertiary-color' => '#f3e9f7', ),
        'raspberry'    => array( 'primary-color' => '#a23b6f', 'secondary-color' => '#7f2954', 'tertiary-color' => '#f7e9f0', ),
        'red'          => array( 'primary-color' => '#e74d3c', 'secondary-color' => '#c43b2c', 'tertiary-color' => '#f7eae9', ),
        'skyblue'      => array( 'primary-color' => '#00bfff', 'secondary-color' => '#049bce', 'tertiary-color' => '#e9f4f7', ),
        'slateblue'    => array( 'primary-color' => '#836fff', 'secondary-color' => '#6757cc', 'tertiary-color' => '#eae9f7', ),

    );

    $skin = array_key_exists( $arg , $skins ) ? $skins[ $arg ] : array();
    return $skin;    
}

/* ---------------------------------------------------------------------------
 * Page Layout  
 * --------------------------------------------------------------------------- */
function soulmedic_page_layout( $layout = '' ) {

    $page_layout       = $sidebar_class = '';
    $show_sidebar      = $show_left_sidebar = $show_right_sidebar = false;
    $container_class   = "container";
    $image_size_class = '';

	switch ( $layout ) {

		case 'with-left-sidebar':
            $page_layout      = "page-with-sidebar with-left-sidebar";
            $show_sidebar     = $show_left_sidebar = true;
            $sidebar_class    = "secondary-has-left-sidebar";
            $image_size_class = 'default';
    	break;

    	case 'with-right-sidebar':
            $page_layout      = "page-with-sidebar with-right-sidebar";
            $show_sidebar     = $show_right_sidebar	= true;
            $sidebar_class    = "secondary-has-right-sidebar";
            $image_size_class = 'default';
    	break;

    	case 'with-both-sidebar':
            $page_layout      = "page-with-sidebar with-both-sidebar";
            $show_sidebar     = $show_left_sidebar = $show_right_sidebar = true;
            $sidebar_class    = "secondary-has-both-sidebar";
            $image_size_class = 'default';
    	break;

        case 'fullwidth':
            $container_class  = "portfolio-fullwidth-container";
            $page_layout      = "content-full-width";
            $image_size_class = 'fullwidth';
        break;

    	case 'content-full-width':
    	default:
            $page_layout      = "content-full-width";
            $image_size_class = 'default';
    	break;
    }

    return array(
        'page_layout'        => $page_layout,
        'sidebar_class'      => $sidebar_class,
        'show_sidebar'       => $show_sidebar,
        'show_left_sidebar'  => $show_left_sidebar,
        'show_right_sidebar' => $show_right_sidebar,
        'container_class'    => $container_class,
        'image_size_class'   => $image_size_class,
    );
}

/* ---------------------------------------------------------------------------
 * Return Breadcrumb Style
 * --------------------------------------------------------------------------- */
function soulmedic_breadcrumb_css( $settings = array() ) {

    $bg = $co = $repeat = $pos = $attach = $size = $style = '';

    $bg = !empty( $settings['image'] ) ? $settings['image'] : '';
    $co = !empty( $settings['color'] ) ? $settings['color'] : '';
	
    if(!empty($bg) || !empty($co)) :
        $repeat = !empty( $settings['repeat'] ) ? $settings['repeat'] :'repeat';
        $pos    = !empty( $settings['position'] ) ? $settings['position'] :'left top';
        $attach = !empty( $settings['attachment'] ) ? $settings['attachment'] :'scroll';
        $size   = !empty( $settings['size'] ) ? $settings['size'] :'auto';
    else:
        $bgoptions = cs_get_option( 'breadcrumb_background' );
        $bg         = !empty( $bgoptions['image'] ) ? $bgoptions['image'] : '';
        $attach     = !empty( $bgoptions['attachment'] ) ? $bgoptions['attachment'] :'scroll';
        $pos        = !empty( $bgoptions['position'] ) ? $bgoptions['position'] :'left top';
        $size       = !empty( $bgoptions['size'] ) ? $bgoptions['size'] :'auto';
        $repeat     = !empty( $bgoptions['repeat'] ) ? $bgoptions['repeat'] :'repeat';
        $co         = !empty( $bgoptions['color'] ) ? $bgoptions['color'] : '';
    endif;

	$style = !empty($bg) ? "background-image: url($bg); " : "";
	$style .= !empty($pos) ? "background-position: $pos; " : "";
	$style .= !empty($size) ? "background-size: $size; " : "";
	$style .= !empty($repeat) ? "background-repeat: $repeat; " : "";
	$style .= !empty($attach) ? "background-attachment: $attach; " : "";
    $style .= !empty($co) ? "background-color:$co;" : "";

    return $style;
}

/* ---------------------------------------------------------------------------
 * Breadcrumb
 * --------------------------------------------------------------------------- */
function soulmedic_new_breadcrumbs( $args ) {

    $breadcrumbs = array();
    $output = '';

    $homeLink = esc_url( home_url('/') );
    $separator = '<span class="'.cs_get_option( 'breadcrumb-delimiter', 'fa fa-angle-double-right' ).'"></span>';
    $breadcrumbs[] =  '<a href="'. $homeLink .'">'. esc_html__('Home','soulmedic') .'</a>';
    $breadcrumbs = array_merge( $breadcrumbs, $args );

    $output .=  '<div class="breadcrumb">';
        $count = count( $breadcrumbs );
        $i = 1;

        foreach( $breadcrumbs as $bk => $bc ){
            if( !is_object( $bc ) ) {
                if( strpos( $bc , $separator ) ) {
                    // category parents fix
                    $output .=  ($bc);
                } else {
                    if( $i == $count ) $separator = '';
                    $output .=  ($bc . $separator);
                }
            }
            $i++;
        }
    $output .=  '</div>';

    return $output;
}

function soulmedic_breadcrumb_output( $title, $breadcrumbs, $class, $inline_css ) {

    $inline_css = !empty( $inline_css ) ? "style='".esc_attr($inline_css)."'" : "";

    echo '<section class="main-title-section-wrapper '.esc_attr($class).'">';
    echo '  <div class="main-title-section-bg" '. $inline_css.'></div>';
    echo '  <div class="container">';
    echo        soulmedic_new_breadcrumbs( $breadcrumbs );
    echo        get_search_form();
    echo '  </div>';
    echo '</section>';
}