<?php
/**
 * show_fblike()
 * Objective:
 * Outputs the facebook like button in post and page.
 */
if( !function_exists('show_fblike')) {
	function show_fblike($arg = 'post') {
		$fb = dttheme_option ( 'integration', "{$arg}-fb_like" );
		$output = "";
		if (! empty ( $fb )) :
			$layout = dttheme_option ( 'integration', "{$arg}-fb_like-layout" );
			$scheme = dttheme_option ( 'integration', "{$arg}-fb_like-color-scheme" );
			$output .= do_shortcode ( "[fblike layout='{$layout}' colorscheme='{$scheme}' /]" );
			echo $output;
		endif;
	}
}
// # --- **** show_googleplus() *** --- ###
/**
 * show_googleplus()
 * Objective:
 * Outputs the facebook like button in post and page.
 */
if( !function_exists('show_googleplus')) {
	function show_googleplus($arg = 'post') {
		$googleplus = dttheme_option ( 'integration', "{$arg}-googleplus" );
		$output = "";
		if (! empty ( $googleplus )) :
			$layout = dttheme_option ( 'integration', "{$arg}-googleplus-layout" );
			$lang = dttheme_option ( 'integration', "{$arg}-googleplus-lang" );
			$output .= do_shortcode ( "[googleplusone size='{$layout}' lang='{$lang}' /]" );
			echo $output;
		endif;
	}
}
// # --- **** show_googleplus() *** --- ###

// # --- **** show_twitter() *** --- ###
/**
 * show_twitter()
 * Objective:
 * Outputs the Twitter like button in post and page.
 */
if( !function_exists('show_twitter')) {
	function show_twitter($arg = 'post') {
		$twitter = dttheme_option ( 'integration', "{$arg}-twitter" );
		$output = "";
		if (! empty ( $twitter )) :
			$layout = dttheme_option ( 'integration', "{$arg}-twitter-layout" );
			$lang = dttheme_option ( 'integration', "{$arg}-twitter-lang" );
			$username = dttheme_option ( 'integration', "{$arg}-twitter-username" );
			$output .= do_shortcode ( "[twitter layout='{$layout}' lang='{$lang}' username='{$username}' /]" );
			echo $output;
		endif;
	}
}
// # --- **** show_twitter() *** --- ###

// # --- **** show_stumbleupon() *** --- ###
/**
 * show_stumbleupon()
 * Objective:
 * Outputs the Stumbleupon like button in post and page.
 */
if( !function_exists('show_stumbleupon')) {
	function show_stumbleupon($arg = 'post') {
		$stumbleupon = dttheme_option ( 'integration', "{$arg}-stumbleupon" );
		$output = "";
		if (! empty ( $stumbleupon )) :
			$layout = dttheme_option ( 'integration', "{$arg}-stumbleupon-layout" );
			$output .= do_shortcode ( "[stumbleupon layout='{$layout}' /]" );
			echo $output;
		endif;
	}
}
// # --- **** show_stumbleupon() *** --- ###

// # --- **** show_linkedin() *** --- ###
/**
 * show_linkedin()
 * Objective:
 * Outputs the LinkedIn like button in post and page.
 */
if( !function_exists('show_linkedin')) {
	function show_linkedin($arg = 'post') {
		$linkedin = dttheme_option ( 'integration', "{$arg}-linkedin" );
		$output = "";
		if (! empty ( $linkedin )) :
			$layout = dttheme_option ( 'integration', "{$arg}-linkedin-layout" );
			$output .= do_shortcode ( "[linkedin layout='{$layout}' /]" );
			echo $output;
		endif;
	}
}
// # --- **** show_linkedin() *** --- ###

// # --- **** show_delicious() *** --- ###
/**
 * show_delicious()
 * Objective:
 * Outputs the Delicious like button in post and page.
 */
if( !function_exists('show_delicious')) {
	function show_delicious($arg = 'post') {
		$delicious = dttheme_option ( 'integration', "{$arg}-delicious" );
		$output = "";
		if (! empty ( $delicious )) :
			$text = dttheme_option ( 'integration', "{$arg}-delicious-text" );
			$output .= do_shortcode ( "[delicious text='{$text}' /]" );
			echo $output;
		endif;
	}
}
// # --- **** show_delicious() *** --- ###

// # --- **** show_pintrest() *** --- ###
/**
 * show_pintrest()
 * Objective:
 * Outputs the Pintrest like button in post and page.
 */
if( !function_exists('show_pintrest')) {
	function show_pintrest($arg = 'post') {
		$delicious = dttheme_option ( 'integration', "{$arg}-pintrest" );
		$output = "";
		if (! empty ( $delicious )) :
			$layout = dttheme_option ( 'integration', "{$arg}-pintrest-layout" );
			$output .= do_shortcode ( "[pintrest layout='{$layout}' prompt='true' /]" );
			echo $output;
		endif;
	}
}
// # --- **** show_pintrest() *** --- ###

// # --- **** show_digg() *** --- ###
/**
 * show_digg()
 * Objective:
 * Outputs the Digg like button in post and page.
 */
if( !function_exists('show_digg')) {
	function show_digg($arg = 'post') {
		$digg = dttheme_option ( 'integration', "{$arg}-digg" );
		$output = "";
		if (! empty ( $digg )) :
			$layout = dttheme_option ( 'integration', "{$arg}-digg-layout" );
			$output .= do_shortcode ( "[digg layout='{$layout}' /]" );
			echo $output;
		endif;
	}
}
// # --- **** show_digg() *** --- ###

/**
 * dttheme_tweetbox_filter()
 * Objective:
 * Returns filtered tweets.
 * @args:
 * 1.text :	Tweets text to filter
 */
if( !function_exists('dttheme_tweetbox_filter') ) {
	function dttheme_tweetbox_filter($text) {
		// Props to Allen Shaw & webmancers.com & Michael Voigt
		$text = preg_replace ( '/\b([a-zA-Z]+:\/\/[\w_.\-]+\.[a-zA-Z]{2,6}[\/\w\-~.?=&%#+$*!]*)\b/i', "<a href=\"$1\" class=\"twitter-link\">$1</a>", $text );
		$text = preg_replace ( '/\b(?<!:\/\/)(www\.[\w_.\-]+\.[a-zA-Z]{2,6}[\/\w\-~.?=&%#+$*!]*)\b/i', "<a href=\"http://$1\" class=\"twitter-link\">$1</a>", $text );
		$text = preg_replace ( "/\b([a-zA-Z][a-zA-Z0-9\_\.\-]*[a-zA-Z]*\@[a-zA-Z][a-zA-Z0-9\_\.\-]*[a-zA-Z]{2,6})\b/i", "<a href=\"mailto://$1\" class=\"twitter-link\">$1</a>", $text );
		$text = preg_replace ( "/#(\w+)/", "<a class=\"twitter-link\" href=\"http://search.twitter.com/search?q=\\1\">#\\1</a>", $text );
		$text = preg_replace ( "/@(\w+)/", "<a class=\"twitter-link\" href=\"http://twitter.com/\\1\">@\\1</a>", $text );
		return $text;
	}
}
// # --- **** dttheme_tweetbox_filter() *** --- ###

/**
 * dttheme_footer_widgetarea()
 * Objective:
 * 1.
 * To Generate Footer Widget Areas
 * Args: $count = No of widget areas
 */
if( !function_exists('dttheme_footer_widgetarea')) {
	function dttheme_footer_widgetarea($count) {
		$name = __ ( "Footer Column", 'soulmedic' );
		if ($count <= 4) :
			for($i = 1; $i <= $count; $i ++) :
				register_sidebar ( array (
						'name'          => $name . "-{$i}",
						'id'            => "footer-sidebar-{$i}",
						'before_widget' => '<aside id="%1$s" class="widget %2$s">',
						'after_widget'  => '</aside>',
						'before_title'  => '<h3 class="widgettitle">',
						'after_title'   => '</h3>' 
				) );
			endfor;
		elseif ($count == 5 || $count == 6) :
			$a = array ( "1-4", "1-4", "1-2" );
			$a = ($count == 5) ? $a : array_reverse ( $a );
			foreach ( $a as $k => $v ) :
				register_sidebar ( array (
					'name'          => $name . "-{$v}",
					'id'            => "footer-sidebar-{$k}-{$v}",
					'before_widget' => '<aside id="%1$s" class="widget %2$s">',
					'after_widget'  => '</aside>',
					'before_title'  => '<h3 class="widgettitle">',
					'after_title'   => '</h3>' 
				) );
			endforeach;
		elseif ($count == 7 || $count == 8) :
			$a = array ( "1-4", "3-4" );
			$a = ($count == 7) ? $a : array_reverse ( $a );
			foreach ( $a as $k => $v ) :
				register_sidebar ( array (
					'name'          => $name . "-{$v}",
					'id'            => "footer-sidebar-{$k}-{$v}",
					'before_widget' => '<aside id="%1$s" class="widget %2$s">',
					'after_widget'  => '</aside>',
					'before_title'  => '<h3 class="widgettitle">',
					'after_title'   => '</h3>' 
				) );
			endforeach;
		elseif ($count == 9 || $count == 10) :
			$a = array ( "1-3", "2-3" );
			$a = ($count == 9) ? $a : array_reverse ( $a );
			foreach ( $a as $k => $v ) :
				register_sidebar ( array (
					'name'          => $name . "-{$v}",
					'id'            => "footer-sidebar-{$k}-{$v}",
					'before_widget' => '<aside id="%1$s" class="widget %2$s">',
					'after_widget'  => '</aside>',
					'before_title'  => '<h3 class="widgettitle">',
					'after_title'   => '</h3>' 
				) );
			endforeach;
		endif;
	}
}
// # --- **** dttheme_footer_widgetarea() *** --- ###

// # --- **** dttheme_show_footer_widgetarea() *** --- ###
/**
 * dttheme_show_footer_widgetarea()
 * Objective:
 * Outputs the Footer section widget area.
 */
if( !function_exists('dttheme_show_footer_widgetarea')) {
	function dttheme_show_footer_widgetarea($count) {
		$classes = array (
			"1"   => "dt-sc-full-width",
			"dt-sc-one-half",
			"dt-sc-one-third",
			"dt-sc-one-fourth",
			"1-2" => "dt-sc-one-half",
			"1-3" => "dt-sc-one-third",
			"1-4" => "dt-sc-one-fourth",
			"3-4" => "dt-sc-three-fourth",
			"2-3" => "dt-sc-two-third" 
		);
		if ($count <= 4) :
			for($i = 1; $i <= $count; $i ++) :
				$class = $classes [$count];
				$first = ($i == 1) ? "first" : "";
				echo "<div class='column {$class} {$first}'>";
				if (function_exists ( 'dynamic_sidebar' ) && dynamic_sidebar ( "footer-sidebar-{$i}" )) : endif;
				echo "</div>";
			endfor;
		elseif ($count == 5 || $count == 6) :
			$a = array ( "1-4", "1-4", "1-2");
			$a = ($count == 5) ? $a : array_reverse ( $a );
			foreach ( $a as $k => $v ) :
				$class = $classes [$v];
				$first = ($k == 0 ) ? "first" : "";
				echo "<div class='column {$class} {$first}'>";
				
				if (function_exists ( 'dynamic_sidebar' ) && dynamic_sidebar ( "footer-sidebar-{$k}-{$v}" )) : endif;
				echo "</div>";
			endforeach;
		elseif ($count == 7 || $count == 8) :
			$a = array ( "1-4", "3-4" );			
			$a = ($count == 7) ? $a : array_reverse ( $a );
			foreach ( $a as $k => $v ) :
				$class = $classes [$v];
				$first = ($k == 0 ) ? "first" : "";
				echo "<div class='column {$class} {$first}'>";
				if (function_exists ( 'dynamic_sidebar' ) && dynamic_sidebar ( "footer-sidebar-{$k}-{$v}" )) :endif;
				echo "</div>";
			endforeach;			
		elseif ($count == 9 || $count == 10) :
			$a = array ( "1-3", "2-3" );
			$a = ($count == 9) ? $a : array_reverse ( $a );
			foreach ( $a as $k => $v ) :
				$class = $classes [$v];
				$first = ($k == 0 ) ? "first" : "";
				echo "<div class='column {$class} {$first}'>";
				if (function_exists ( 'dynamic_sidebar' ) && dynamic_sidebar ( "footer-sidebar-{$k}-{$v}" )) :endif;
				echo "</div>";
			endforeach;
		endif;
	}
}
// # --- **** dttheme_show_footer_widgetarea() *** --- ###

// # --- **** dttheme_is_plugin_active() *** --- ###
/**
 * dttheme_is_plugin_active()
 * Objective:
 * Check the plugin is activated
 */
if( !function_exists('dttheme_is_plugin_active')) {
	function dttheme_is_plugin_active($plugin) {
		return in_array( $plugin, (array) get_option( 'active_plugins', array() ) ) || dttheme_is_plugin_active_for_network( $plugin );
	}
}

if( !function_exists('dttheme_is_plugin_active_for_network')) {
	function dttheme_is_plugin_active_for_network($plugin) {

		if ( !is_multisite() )
			return false;

		$plugins = get_site_option( 'active_sitewide_plugins');
		if ( isset($plugins[$plugin]) )
			return true;

		return false;
	}
}
// # --- **** dttheme_is_plugin_active() *** --- ###

// # --- **** dttheme_check_slider_revolution_responsive_wordpress_plugin() *** --- ###
/**
 * dttheme_check_slider_revolution_responsive_wordpress_plugin()
 * Objective:
 * Check the "Revolution Responsive WordPress Plugin" is activated
 */
if( !function_exists('dttheme_check_slider_revolution_responsive_wordpress_plugin') ) {

	function dttheme_check_slider_revolution_responsive_wordpress_plugin() {

		if( dttheme_is_plugin_active('revslider/revslider.php') ) {

			$sld = new RevSliderSlider();
			$sliders = $sld->getArrSliders();
			if(!empty($sliders)) {
				foreach($sliders as $key => $item) {
					$revolutionslider[$item->getAlias()] = $item->getTitle();
				}
			}
		}

		return $revolutionslider;
	}
}
// # --- **** dttheme_is_plugin_active() *** --- ###

// # --- **** dttheme_social_bookmarks() *** --- ###
/**
 * dttheme_social_bookmarks()
 * Objective:
 * To show social shares
 */
if( !function_exists('dttheme_social_bookmarks')) {
	function dttheme_social_bookmarks($arg = 'sb-post') {
		global $post;
		
		$title = $post->post_title;
		$url = get_permalink ( $post->ID );
		$excerpt = $post->post_excerpt;
		$data = "";
		
		$path = IAMD_BASE_URL . "images/sociable/share";
		
		$fb = dttheme_option ( 'integration', "{$arg}-fb_like" );
		$data .= ! empty ( $fb ) ? "<li><a href='//facebook.com/sharer.php?u=$url&amp;t=".urlencode( $title )."'>
		<img src='{$path}/facebook.png' /></a></li>" : "";
		
		$delicious = dttheme_option ( 'integration', "{$arg}-delicious" );
		$data .= ! empty ( $delicious ) ? "<li><a href='//del.icio.us/post?url=$url&amp;title=".urlencode ( $title )."'>
		<img src='{$path}/delicious.png' /></a></li>" : "";
		
		$digg = dttheme_option ( 'integration', "{$arg}-digg" );
		$data .= ! empty ( $digg ) ? "<li><a href='//digg.com/submit?phase=2&amp;url=$url&amp;title=".urlencode ( $title )."'>
		<img src='{$path}/digg.png' /></a></li>" : "";
		
		$stumbleupon = dttheme_option ( 'integration', "{$arg}-stumbleupon" );
		$data .= ! empty ( $stumbleupon ) ? "<li><a href='//stumbleupon.com/submit?url=$url&amp;title=".urlencode ( $title )."'>
		<img src='{$path}/stumbleupon.png' /></a></li>" : "";
		
		$twitter = dttheme_option ( 'integration', "{$arg}-twitter" );
		$t_url = ! empty ( $twitter ) ? $url : '';
		$data .= ! empty ( $twitter ) ? "<li><a href='//twitter.com/home/?status=".urlencode ( $title ).":$t_url'>
		<img src='{$path}/twitter.png' /></a></li>" : "";
		
		$googleplus = dttheme_option ( 'integration', "{$arg}-googleplus" );
		$data .= ! empty ( $googleplus ) ? "<li><a class=\"google\" href=\"//plus.google.com/share?url=$url\"  onclick=\"javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;\" >
		<img src='{$path}/google.png' /></a></li>" : '';
		
		$linkedin = dttheme_option ( 'integration', "{$arg}-linkedin" );
		$data .= ! empty ( $linkedin ) ? "<li><a href='http://linkedin.com/shareArticle?mini=true&amp;title=".urlencode ( $title )."&amp;url=$url' title='Share on LinkedIn'>
		<img src='{$path}/linkedin.png' /></a></li>" : "";
		
		$pintrest = dttheme_option ( 'integration', "{$arg}-pintrest" );
		$media = wp_get_attachment_url ( get_post_thumbnail_id ( $post->ID ) );
		$data .= ! empty ( $pintrest ) ? "<li><a href='http://pinterest.com/pin/create/button/?url=".urlencode ( $url )."&amp;media=$media'>
		<img src='{$path}/pinterest.png' /></a></li>" : "";
		
		$data = ! empty ( $data ) ? "<ul class='social-share-icons'>{$data}</ul>" : "";
		echo $data;
	}
}
// # --- **** dttheme_social_bookmarks() *** --- ###

// # --- **** is_mytheme_moible_view() *** --- ###
/**
 * dttheme_is_mobile_view()
 * Objective:
 * If you eanble responsive mode in theme , this will add view port at the head
 */
if( !function_exists('dttheme_is_mobile_view')) {
	function dttheme_is_mobile_view() {
		$dttheme_options = get_option ( IAMD_THEME_SETTINGS );
		$dttheme_mobile = array_key_exists("mobile",$dttheme_options ) ?  $dttheme_options ['mobile'] : array();
		if (isset ( $dttheme_mobile ['is-theme-responsive'] ))
			echo "<meta name='viewport' content='width=device-width, initial-scale=1, maximum-scale=1' />\r";
	}
}
// # --- **** dttheme_is_mobile_view() *** --- ###

// o load basic css : default,shortcode & skin css
if( !function_exists('dttheme_load_basic_css')) {
	function dttheme_load_basic_css() {
		$dttheme_options = get_option ( IAMD_THEME_SETTINGS );
		$dttheme_general = $dttheme_options ['general'];
	
		if (isset ( $dttheme_general ['enable-favicon'] )) :
			$url = ! empty ( $dttheme_general ['favicon-url'] ) ? $dttheme_general ['favicon-url'] : IAMD_BASE_URL . "images/favicon.ico";
			echo "<link href='$url' rel='shortcut icon' type='image/x-icon' />\n";

			$phone_url = ! empty ( $dttheme_general ['apple-favicon'] ) ? $dttheme_general ['apple-favicon'] : IAMD_BASE_URL . "images/apple-touch-icon.png";
			echo "<link href='$phone_url' rel='apple-touch-icon-precomposed'/>\n";

			$phone_retina_url = ! empty ( $dttheme_general ['apple-retina-favicon'] ) ? $dttheme_general ['apple-retina-favicon'] : IAMD_BASE_URL . "images/apple-touch-icon-114x114.png";
			echo "<link href='$phone_retina_url' sizes='114x114' rel='apple-touch-icon-precomposed'/>\n";

			$ipad_url = ! empty ( $dttheme_general ['apple-ipad-favicon'] ) ? $dttheme_general ['apple-ipad-favicon'] : IAMD_BASE_URL . "images/apple-touch-icon-72x72.png";
			echo "<link href='$ipad_url' sizes='72x72' rel='apple-touch-icon-precomposed'/>\n";

			$ipad_retina_url = ! empty ( $dttheme_general ['apple-ipad-retina-favicon'] ) ? $dttheme_general ['apple-ipad-retina-favicon'] : IAMD_BASE_URL . "images/apple-touch-icon-114x114.png";
			echo "<link href='$ipad_retina_url' sizes='114x114' rel='apple-touch-icon-precomposed'/>\n";
		endif;
	
		wp_enqueue_style ( 'default', get_stylesheet_uri () );
		wp_enqueue_style ( 'skin', IAMD_BASE_URL . "skins/" . $dttheme_options ['appearance'] ['skin'] . "/style.css" );
	
		wp_enqueue_style ( 'custom-font-awesome', IAMD_BASE_URL . 'css/font-awesome.min.css', array (), '3.0.2' );
	
		// eenqueue < IE 9
		wp_register_style ( 'ie8-and-down', IAMD_BASE_URL . 'css/ie8-and-down.css' );
		$GLOBALS ['wp_styles']->add_data ( 'ie8-and-down', 'conditional', 'lt IE 9' );
		wp_enqueue_style ( 'ie8-and-down' );


		$cookie_bar = dttheme_option('privacy', 'enable-cookie-msgbar');
		if( isset($cookie_bar) ) {
			wp_enqueue_style ( 'cookieconsent', IAMD_BASE_URL . 'css/cookieconsent.css' );
		}
		
		wp_enqueue_style ( 'magnific-popup', IAMD_FW_URL . 'js/public/magnific/magnific-popup.css' );

		// gutenberg css ---------------------------------------------------------------------
		wp_enqueue_style( 'soulmedic-gutenberg', IAMD_BASE_URL.'/css/gutenberg.css', false, IAMD_THEME_VERSION, 'all' );
	}
}
add_action( 'wp_enqueue_scripts', 'dttheme_load_basic_css', '100' );

// # --- **** dttheme_set_layout *** --- ###
if( !function_exists('dttheme_set_layout')) {
	function dttheme_set_layout() {
		if (dttheme_option ( "mobile", "is-theme-responsive" )) {
			wp_enqueue_style ( 'responsive', IAMD_BASE_URL . "responsive.css" );
		}
	
		$dttheme_options = get_option ( IAMD_THEME_SETTINGS );
		$dttheme_mobile = array_key_exists("mobile",$dttheme_options ) ?  $dttheme_options ['mobile'] : array();
	
		if (isset ( $dttheme_mobile ['is-slider-disabled'] )) :
			$out = '<style type="text/css">';
			$out .= '@media only screen and (max-width: 767px) { #slider { display:none !important; } 	}';
			$out .= '</style>';
			echo $out;
		endif;
	}
}
add_action( 'wp_enqueue_scripts', 'dttheme_set_layout', '100' );
// # --- **** dttheme_set_layout *** --- ###

if( !function_exists('hex2rgb')) {
	function hex2rgb($hex) {
		$hex = str_replace ( "#", "", $hex );
		if (strlen ( $hex ) == 3) :
			$r = hexdec ( substr ( $hex, 0, 1 ) . substr ( $hex, 0, 1 ) );
			$g = hexdec ( substr ( $hex, 1, 1 ) . substr ( $hex, 1, 1 ) );
			$b = hexdec ( substr ( $hex, 2, 1 ) . substr ( $hex, 2, 1 ) );
	 	else :
			$r = hexdec ( substr ( $hex, 0, 2 ) );
			$g = hexdec ( substr ( $hex, 2, 2 ) );
			$b = hexdec ( substr ( $hex, 4, 2 ) );
		endif;
		$rgb = array ( $r,$g,$b);
		return $rgb;
	}
}

// ##########################################
// PAGINATION
// ##########################################
if( !function_exists('dttheme_pagination') ) {
	function dttheme_pagination($class = '', $pages = '') {
		$out = NULL;
		global $paged;
		if (empty ( $paged ))
			$paged = 1;
		$prev = $paged - 1;
		$next = $paged + 1;
		$range = 10; // only edit this if you want to show more page-links
		$showitems = ($range * 2) + 1;
		if ($pages == '') {
			global $wp_query;
			$pages = $wp_query->max_num_pages;
			if (! $pages) {
				$pages = 1;
			}
		}

		if (1 != $pages) {
			$out .= "<ul class='$class'>";
			$out .= ($paged > 2 && $paged > $range + 1 && $showitems < $pages) ? "<li> <a href='" . get_pagenum_link ( 1 ) . "'>&laquo;</a></li>" : "";
			$out .= ($paged > 1 && $showitems < $pages) ? "<li> <a href='" . get_pagenum_link ( $prev ) . "'>&lsaquo;</a></li>" : "";
		
			for($i = 1; $i <= $pages; $i ++) {
				if (1 != $pages && (! ($i >= $paged + $range + 1 || $i <= $paged - $range - 1) || $pages <= $showitems)) {
					if ($class == "ajax-load") :
						$c = ($paged == $i) ? "active-page" : "";
						$out .= "<li><a href='" . get_pagenum_link ( $i ) . "' class='" . $c . "'>" . $i . "</a></li>";
				 	else :
						$out .= ($paged == $i) ? "<li class='active-page'>" . $i . "</li>" : "<li><a href='" . get_pagenum_link ( $i ) . "' class='inactive'>" . $i . "</a></li>";
					endif;
				}
			}

			$out .= ($paged < $pages && $showitems < $pages) ? "<li> <a href='" . get_pagenum_link ( $next ) . "'>&rsaquo;</a> </li>" : "";
			$out .= ($paged < $pages - 1 && $paged + $range - 1 < $pages && $showitems < $pages) ? "<li> <a href='" . get_pagenum_link ( $pages ) . "'>&raquo;</a></li>" : "";
			$out .= "</ul>";
		}
		return $out;
	}
}

//LIKE PLUGIN ACTION...
add_action('activated_plugin', 'dt_like_plugin_hook', 1);
if( !function_exists('dt_like_plugin_hook')) {
	function dt_like_plugin_hook() {
		if(dttheme_is_plugin_active('roses-like-this/likethis.php')) {
			update_option("no_likes", "0");
			update_option("one_like", "%");
			update_option("some_likes", "%");
		}
	}
}

if( !function_exists('dt_add_custom_types')) {
	function dt_add_custom_types( $query ) {
    	if( is_tag() && empty( $query->query_vars['suppress_filters'] ) ) {
        	$post_types = get_post_types();
        	$query->set( 'post_type', $post_types );
        	return $query;
    	}
	}
}
add_filter( 'pre_get_posts', 'dt_add_custom_types' );

if( !function_exists('slt_wmode_opaque')) {

	function slt_wmode_opaque( $html, $url, $args ) {

		if( strrpos($url,"youtube") !== false ) {
			$patterns[] = '/src="(.*?)"/';
	 		$replacements[] = 'src="${1}&wmode=opaque"';
	 		$html =  preg_replace($patterns, $replacements, $html);
	  	}elseif( strrpos($url, "soundcloud.com") !== false ) {
			$patterns[] = '/height="(.*?)"/';
	  		$replacements[] = 'height="166"';
	  		$html =  preg_replace($patterns, $replacements, $html);
	  	  	$patterns[] = '/width="(.*?)"/';
	  		$replacements[] = 'width="100%"';
	  		$html =  preg_replace($patterns, $replacements, $html);
 
	 		$patterns[] = '/visual=true&/';
	  		$replacements[] = '';
	  		$html =  preg_replace($patterns, $replacements, $html);
  		}	

		return $html;          
	}
}
add_filter( 'oembed_result', 'slt_wmode_opaque', 10, 3 );

#Sidebars
if( !function_exists('dttheme_show_sidebar')) {

	function dttheme_show_sidebar($type , $id ){
		if( $type === 'post'){
			$settings = get_post_meta($id,'_dt_post_settings',TRUE);
		}elseif( $type === 'page' ){
			$settings = get_post_meta($id,'_tpl_default_settings',TRUE);
		}

		$settings = is_array($settings) ? $settings  : array();

		if ( !array_key_exists("disable-everywhere-sidebar",$settings) ):
			if(function_exists('dynamic_sidebar') && dynamic_sidebar(('display-everywhere-sidebar')) ): endif;
		endif;

		if( array_key_exists("widget-area", $settings)):
			foreach ($settings['widget-area'] as $widget ) {
				$id = mb_convert_case($widget, MB_CASE_LOWER, "UTF-8");
				if(function_exists('dynamic_sidebar') && dynamic_sidebar($id) ): endif;
			}
		endif;
	}
}

/* ---------------------------------------------------------------------------
* Whitelist Associate
* --------------------------------------------------------------------------- */
if ( ! function_exists( 'dt_theme_array_whitelist_assoc' ) ) {
	function dt_theme_array_whitelist_assoc( Array $array1, Array $array2 ) {
		if ( func_num_args() > 2 ) {
			$args   = func_get_args();
			array_shift( $args );
			$array2 = call_user_func_array( 'array_merge', $args );
		}

		return array_intersect_key( $array1, array_flip( $array2 ) );
	}
}

/* ---------------------------------------------------------------------------
* Post Type Support
* --------------------------------------------------------------------------- */
add_filter( 'fw_ext_page_builder_supported_post_types', 'dt_theme_limit_post_types_support', 1 );
if ( ! function_exists( 'dt_theme_limit_post_types_support' ) ) {
	function dt_theme_limit_post_types_support( $all_post_types ) {
		$white_listed_post_types = array( '' ); //allowed custom post type names
		$post_types              = dt_theme_array_whitelist_assoc( $all_post_types, $white_listed_post_types );
		return $post_types;
	}
}