	<?php $event_id = get_the_ID(); ?>

    <p class="nav-top-links">
        <a href="<?php echo esc_url( tribe_get_events_link() ); ?>" class="back-nav"><?php esc_html_e('« All Events', 'soulmedic'); ?></a>
    </p>
	<h2><?php the_title(); ?></h2>

    <p class="event-schedule"><?php
      echo tribe_get_start_date ( $event_id, true, 'F j' ).' @ '.tribe_get_start_time ( $event_id, 'h:i a' ).' - '.tribe_get_end_date ( $event_id, true, 'F j' ).' @ '.tribe_get_end_time ( $event_id, 'h:i a' );
      if(class_exists( 'Tribe__Events__Pro__Main' )): ?>
          | <a href="#" class="dt-sc-tooltip-top" title="<?php echo tribe_get_recurrence_text ( $event_id ); ?>"><?php esc_html_e('Recurring Event (See all)', 'soulmedic'); ?></a><?php
      endif; ?>
    </p>

    <p class="events-header">
        <ul class="tribe-events-sub-nav">
            <li class="tribe-events-nav-previous"><?php tribe_the_prev_event_link( '<span class="fa fa-long-arrow-left"></span> %title%' ); ?></li>
            <li class="tribe-events-nav-next"><?php tribe_the_next_event_link( '%title% <span class="fa fa-long-arrow-right"></span>' ); ?></li>
        </ul>
    </p>

      <div class="event-image-wrapper">
          <?php echo tribe_event_featured_image( $event_id, 'soulmedic-event-single-type1', false ); ?>
      </div>    
      <div class="entry-content">
          <?php 
		  	  do_action( 'tribe_events_single_event_before_the_content' );
			  the_content();
			  do_action( 'tribe_events_single_event_after_the_content' ); ?>
      </div>

	<?php do_action( 'tribe_events_single_event_before_the_meta' ); ?>

	<?php do_action( 'tribe_events_single_event_meta_primary_section_start' ); ?>

        <div class="events-details-main">
         <ul class="event-details">
            <h3><?php esc_html_e('Details', 'soulmedic'); ?></h3>
            <li>
                <dt><?php esc_html_e('Start:', 'soulmedic'); ?></dt>
                <?php echo tribe_get_start_date ( $event_id, true, 'M d' ).' @ '.tribe_get_start_time ( $event_id, 'h:i a' ); ?>
            </li>
            <li>
                <dt><?php esc_html_e('End:', 'soulmedic'); ?></dt>
                <?php echo tribe_get_end_date ( $event_id, true, 'M d' ).' @ '.tribe_get_end_time ( $event_id, 'h:i a' ); ?>
            </li>
            <?php if ( tribe_get_cost() ) : ?>
                <li><dt><?php esc_html_e('Cost:', 'soulmedic'); ?></dt><?php echo tribe_get_cost( $event_id, true ); ?></li>
            <?php endif; ?>
            <li><?php echo tribe_get_event_categories( $event_id, array( 
                'before' => '', 'sep' => ', ',  'after' => '', 'label' => '',
                'label_before' => '<dt class="cat">Event Category',
                'label_after'  => '</dt>', 'wrap_before' => '<div class="cat-wrapper">', 'wrap_after' => '</div>'
                ) ); ?></li>
            <li><?php echo tribe_meta_event_tags( 'Event Tags:', ', ', false ); ?></li>
            <?php
            $website = tribe_get_event_website_link();
            if(!empty($website)): ?>
                <li><dt><?php esc_html_e('Website:', 'soulmedic'); ?></dt><?php echo apply_filters( 'tribe_get_event_website_link', $website ); ?></li><?php
            endif; ?>
         </ul>
        
         <ul class="event-organize">
            <h3><?php esc_html_e('Organizer', 'soulmedic'); ?></h3>
            <h4><?php
            if(class_exists( 'Tribe__Events__Pro__Main' ))
                echo tribe_get_organizer_link ( $event_id, true, false );
            else
                echo tribe_get_organizer(); ?></h4><?php

            $phone = tribe_get_organizer_phone();
            if(!empty($phone)): ?>
                <li><dt><?php esc_html_e('Phone:', 'soulmedic'); ?></dt><?php echo esc_html( $phone ); ?></li><?php
            endif;
            $email = tribe_get_organizer_email();
            if(!empty($email)): ?>
                <li>
                    <dt><?php esc_html_e('Email:', 'soulmedic'); ?></dt>
                    <a href="mailto:<?php echo esc_attr($email); ?>"><?php echo apply_filters( 'tribe_get_organizer_email', $email); ?></a>
                </li><?php
            endif;
            $website = tribe_get_organizer_website_link();
            if(!empty($website)): ?>
                <li><dt><?php esc_html_e('Website:', 'soulmedic'); ?></dt><?php echo apply_filters( 'tribe_get_organizer_website_link',$website ); ?></li><?php
            endif; ?>
         </ul>
        </div>
        
        <div class="events-venues-main">
         <ul class="event-venue">
            <h3><?php esc_html_e('Venue', 'soulmedic'); ?></h3>
            <h4><?php
            if(class_exists( 'Tribe__Events__Pro__Main' ))
                echo tribe_get_venue_link($event_id, true);
            else
                echo tribe_get_venue($event_id); ?></h4><?php
            if ( tribe_address_exists() ) :
                echo '<p class="event-address">'.tribe_get_full_address().'</p>';
                # Google map link...
                if ( tribe_show_google_map_link() ) :
                    echo tribe_get_map_link_html();
                endif;
            endif; 
            $phone = tribe_get_phone();
            if(!empty($phone)): ?>
                <li><dt><?php esc_html_e('Phone:', 'soulmedic'); ?></dt><?php echo esc_html( $phone ); ?></li><?php
            endif;
            $website = tribe_get_venue_website_link();
            if(!empty($website)): ?>
                <li><dt><?php esc_html_e('Website:', 'soulmedic'); ?></dt><?php echo apply_filters( 'tribe_get_venue_website_link', $website ); ?></li><?php
            endif; ?>
         </ul><?php
		 # Additional fields...
         if(class_exists( 'Tribe__Events__Pro__Main' )):
            do_action( 'tribe_events_single_event_meta_primary_section_end' );
         endif;

         # Google map...
         $map = tribe_get_embedded_map($event_id);
         if(!empty($map)): ?>
            <div class="event-google-map">
                <?php echo apply_filters( 'tribe_get_embedded_map', $map ); ?>
            </div><?php
         endif; ?>
        </div>

	<?php do_action( 'tribe_events_single_event_after_the_meta' ); ?>